<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "DOWNLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXAlert(id, "DEXTUploadNX가 로드되었습니다.");
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					}
				}
			});
		};
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 1</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 1. 다운로드 매니저와 모니터 생성</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>DEXTUploadNX 컴포넌트의 다운로드 매니저(Manager) 객체와 다운로드 모니터(Monitor) 객체를 생성하는 예시입니다.</p>
						<p>다운로드 매니저란 다운로드할 파일을 관리하는 역할을 하며, 다운로드 모니터는 실제 파일을 다운로드하는 역할을 담당합니다.</p>
						<p>그러나 DEXTUploadNX는 다운로드 모니터와 연동하여 사용하지 않더라도 다운로드 매니저만으로 모든 기능을 사용할 수 있습니다.</p>
						<p>CreateDEXTUploadNX_Operator 함수를 사용하여 다운로드 매니저(모니터)를 생성합니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  // 업로드 매니저가 생성될 컨테이너 역할을 담당할 HTML 요소의 아이디(id)입니다.
  ContainerID: "dextnx_container",
  // 생성될 DEXTUploadNX 다운로드 매니저의 아이디(id)입니다.
  ElementID: "dextnx",
  // 다운로드 모니터로 사용하는 경우 DOWNLOAD_MONITOR로 설정합니다.
  Operator_Type: "DOWNLOAD_MANAGER",
  // 컴포넌트에서 발생하는 여러 이벤트에 대한 콜백 함수를 등록합니다.
  NXEventFunctions: {
    // 컴포넌트가 로드되면 호출되는 이벤트입니다.
    OnNXOperatorEventCreateComplete: function (id, optype) {
      NXAlert(id, "DEXTUploadNX가 로드되었습니다.");
    },
    // 오류가 발생하면 호출되는 이벤트입니다.
    OnNXOperatorEventError: function (id, optype, err) {      
      NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
    }
  }
});
						</pre>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>