<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>
		var promptForAdding = true;
		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "DOWNLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF1", 10172, "첨부파일_이미지.gif", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF2", 339, "첨부파일_텍스트.txt", "", true);
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventPrevAddItem: function (id, optype, fileCount, folderCount, vFileCount) {
						var yn = NXConfirm(id, "파일 개수: " + fileCount + ", 폴더 개수: " + folderCount + ", 가상 파일 개수: " + vFileCount + "\n추가하시겠습니까?");
						return SetNXEventReturnValue(id, yn);
					},
					OnNXOperatorEventAddItem: function (id, optype, itemType, itemIndex) {
						if (promptForAdding == true) {
							promptForAdding = NXConfirm(id, "형식: " + itemType + ", 순서: " + itemIndex + " 인 대상이 추가되고 있습니다.\n계속 보시겠습니까?");
						}
					},
					OnNXOperatorEventPostAddItem: function (id, optype, fileCount, folderCount, vFileCount) {
						NXAlert(id, "파일 개수: " + fileCount + ", 폴더 개수: " + folderCount + ", 가상 파일 개수: " + vFileCount + "\n추가되었습니다.");
					},
					OnNXOperatorEventPrevDeleteItem: function (id, optype, fileCount, folderCount, vFileCount) {
						var yn = NXConfirm(id, "파일 개수: " + fileCount + ", 폴더 개수: " + folderCount + ", 가상 파일 개수: " + vFileCount + "\n삭제하시겠습니까?");
						return SetNXEventReturnValue(id, yn);
					},
					OnNXOperatorEventDeleteItem: function (id, optype, itemType, itemIndex) {
						if (promptForAdding == true) {
							promptForAdding = NXConfirm(id, "형식: " + itemType + ", 순서: " + itemIndex + " 인 대상이 삭제되고 있습니다.\n계속 보시겠습니까?");
						}
					},
					OnNXOperatorEventPostDeleteItem: function (id, optype, fileCount, folderCount, vFileCount) {
						NXAlert(id, "파일 개수: " + fileCount + ", 폴더 개수: " + folderCount + ", 가상 파일 개수: " + vFileCount + "\n삭제되었습니다.");
					},
				}
			});
		};
		
		function deleteFileByIndex(index) {
			if (isNaN(index)) {
				alert("삭제할 파일의 인덱스(0부터 시작)를 입력하세요.");
			} else {
				NXOperators["dextnx"].DeleteItem(parseInt(index));
			}
		}
		
		function deleteSelectedFile() {
			NXOperators["dextnx"].DeleteSelectedItems();
		}
		
		function deleteAll() {
			NXOperators["dextnx"].DeleteAllItems();
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 2</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 2. 다운로드 아이템 추가/삭제</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>DEXTUploadNX 컴포넌트의 다운로드 매니저(Manager) 객체에  다운로드할 파일을 추가하거나 삭제하는 방법을 설명하는 예제입니다.</p>
						<p>다운로드 매니저에서 파일을 추가하거나 삭제하기 위해서 여러가지 속성 및 메소드를 제공합니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  NXEventFunctions: {
    OnNXOperatorEventCreateComplete: function (id, optype) {
      // OnNXOperatorEventCreateComplete 이벤트 호출 시점에
      // AddDownloadItemFile 메소드를 사용하여 다운로드할 파일을 등록합니다.
      // 사용법: AddDownloadItemFile(다운로드할파일경로, 파일크기, 파일명, 폴더명, 마지막파일인지여부)
      // 파일 크기는 바이트 값이며, 반드시 등록해야 합니다.
      // 파일명을 명시하지 않고 빈문자열로 등록한 경우에는 경로상의 값을 사용합니다.
      // 폴더다운로드 기능을 사용한다면 네번째 파라미터에 폴더명을 설정합니다.
      NXOperators[id].AddDownloadItemFile(
        "http://~/sample.nxnj/service/targetdownload.do?key=VF1", 10172, "첨부파일_이미지.gif", "", false);
      NXOperators[id].AddDownloadItemFile(
        "http://~/sample.nxnj/service/targetdownload.do?key=VF2", 339, "첨부파일_텍스트.txt", "", true);
    }	
    ...
  }
});

// 다운로드하고자 하는 사용자 PC의 로컬 파일 경로를 직접 등록합니다.						
dextnxObj.AddDownloadItemFile(다운로드할파일경로, 파일크기, 파일명, 폴더명, 마지막파일여부);

// index 순서(0부터 시작)에 해당하는 파일을 삭제합니다.
dextnxObj.DeleteItem(index);

// 선택된 파일을 삭제합니다.
// 리스트 화면에서 shift, ctrl 키를 사용하여 여러 파일을 선택할 수 있습니다.
dextnxObj.DeleteSelectedItems();

// 모든 파일을 삭제합니다.
dextnxObj.DeleteAllItems();
</pre>
						<p>다운로드 매니저는 파일 추가 되거나 파일이 삭제가 될 때, 이벤트가 발생합니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  NXEventFunctions: {
    ...
    OnNXOperatorEventPrevAddItem: function (id, optype, fileCount, folderCount, vFileCount) {
      // 파일이 추가되기 전에 호출됩니다.
    },
    OnNXOperatorEventAddItem: function (id, optype, itemType, itemIndex) {
      // 파일이 추가될 때 호출됩니다. (추가되는 개수만큼 호출됩니다.)
    },
    OnNXOperatorEventPostAddItem: function (id, optype, fileCount, folderCount, vFileCount) {
      // 파일 추가가 완료되면 호출됩니다.
    },
    OnNXOperatorEventPrevDeleteItem: function (id, optype, fileCount, folderCount, vFileCount) {
      // 파일이 삭제되기 전에 호출됩니다.
    },
    OnNXOperatorEventDeleteItem: function (id, optype, itemType, itemIndex) {
      // 파일이 삭제될 때 호출됩니다. (삭제되는 개수만큼 호출됩니다.)
    },
    OnNXOperatorEventPostDeleteItem: function (id, optype, fileCount, folderCount, vFileCount) {
      // 파일 삭제가 완료되면 호출됩니다.
    },
    ...
  }
});</pre>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p> 
						<p>파일 삭제</p>
						<p>
							<input type="text" value="0" id="txtFileIndex"/>
							<input type="button" value="파일 삭제(index)" onclick="deleteFileByIndex(document.getElementById('txtFileIndex').value);"/>
							<input type="button" value="선택된 파일 삭제" onclick="deleteSelectedFile();"/>
							<input type="button" value="모든 파일 삭제" onclick="deleteAll();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>