<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "DOWNLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF1", 10172, "첨부파일_이미지.gif", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF2", 339, "첨부파일_텍스트.txt", "", true);
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventDownloadStartTotal: function (id, optype) {
						NXAlert(id, "다운로드를 시작합니다.");
					},
					OnNXOperatorEventDownloadCompleteTotal: function (id, optype) {					    
					    NXAlert(id, "다운로드가 완료되었습니다.");
					},
					OnNXOperatorEventDownloadCancelTotal: function (id, optype) {
						NXAlert(id, "다운로드가 중지되었습니다.");
					}
				}
			});
		};
		
		function downloadFiles(force) {
			if (force)
				NXOperators["dextnx"].DownloadStart_Force();
			else
				NXOperators["dextnx"].DownloadStart();
		}
		
		function downloadSelectedFile(force) {
			NXOperators["dextnx"].DownloadStart_Selected(force);
		}
		
		function stopDownloading() {
			NXOperators["dextnx"].DownloadStop();
		}
		
		function showStatus() {
			var cnt = NXOperators["dextnx"].Count;
			var status = "";
			var item = null;
			
			for (var i = 0; i < cnt; i++) {
				item = NXOperators["dextnx"].Item(i);
				status += "파일=" + item.FileTitle + " 상태=" + item.Status + "\n";
			}
			
			alert(status);
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 3</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 3. 단순 다운로드</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>DEXTUploadNX 컴포넌트의 다운로드 매니저(Manager) 객체를 사용하여 파일을 다운로드하는 예제입니다.</p>
						<p>AddDownloadItemFile 메소드를 사용하여 등록하는 파일의 경로는 실제 웹브라우저에서도 다운로드가 가능해야 합니다.</p>
						<p>파일의 다운로드 경로는 '내문서\DEXTUploadNX\Download' 폴더 지정되어 있습니다.</p>
						<p>다운로드 경로를 변경하려면 <a href="${contextPath}/download/example.do?index=0016">'다운로드 경로 변경'</a> 예제를 참고하시길 바랍니다.</p>
						<pre class="prettyprint">
// 파일 다운로드를 시작합니다.
// 모든 파일이 다운로드가 완료가 된 경우 오류 메시지가 발생합니다.
dextnxObj.DownloadStart();

// 파일 다운로드를 중단합니다.
dextnxObj.DownloadStop();

// 현재 리스트에 선택된 파일만을 다운로드합니다.
// 단 대상 파일이 이미 다운로드 되어 있다고 하더라도 오류 메시지는 발생하지 않습니다.
// 만일 파라미터 값이 true이면 다운로드가 된 상태라 하더라도
// 재차 파일을 다운로드 받습니다.
dextnxObj.DownloadStart_Selected(false);

// 파일 다운로드를 강제로 시작합니다.
// 모든 파일이 다운로드 된 상태라 하더라도 다운로드를 재차 받습니다.
dextnxObj.DownloadStart_Force();</pre>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  NXEventFunctions: {
    OnNXOperatorEventDownloadStartTotal: function (id, optype) {
      // 다운로드가 시작할 때 호출됩니다.
    },
    OnNXOperatorEventDownloadCompleteTotal: function (id, optype) {
      // 다운로드가 완료되면 호출됩니다.
    },
    OnNXOperatorEventDownloadCancelTotal: function (id, optype) {
      // 다운로드가 중단되면 호출됩니다.
    },
    ...
  }
});</pre>
						<p>다음은 서버 측 코드에서 데이터를 처리하는 방법입니다.</p>   
						<pre class="prettyprint">
File target = 다운로드할 대상의 파일 객체를 생성합니다.

// DEXTUploadNJFileDownloadView 뷰 클래스를 사용하면 파일 다운로드를 처리할 수 있습니다.
DEXTUploadNJFileDownloadView dextnj = new DEXTUploadNJFileDownloadView(target);		
return new ModelAndView(dextnj);</pre>
					</dd>		
					<dt>과정</dt>
					<dd>
						<div class="diagrambg">
							<div class="diagram-upload-flow">
								<a class="shape"><span class="head">Page</span><span class="target">download/example.do?index=0003</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">GET</span></a>
								<a class="shape"><span class="head">FileServiceController</span><span class="target">service/targetdownload.do</span><span class="comment">다운로드 처리</span></a>
							</div>
						</div>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p> 
						<p>파일 다운로드 상태를 확인할 수 있습니다.</p>
						<p>
							<input type="button" value="상태 확인" onclick="showStatus();"/>
						</p>
						<p>&nbsp;</p>
						<p>
							<input type="button" value="다운로드 시작" onclick="downloadFiles(false);"/>
							<input type="button" value="선택된 파일만 다운로드 시작" onclick="downloadSelectedFile(false);"/>							
							<input type="button" value="강제 다운로드 시작" onclick="downloadFiles(true);"/>
							<input type="button" value="선택된 파일만 강제 다운로드 시작" onclick="downloadSelectedFile(true);"/>
							<input type="button" value="다운로드 중지" onclick="stopDownloading();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>