<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTdownload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "DOWNLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF1", 10172, "첨부파일_이미지.gif", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF2", 339, "첨부파일_텍스트.txt", "", true);
					}
				}
			});
		};
		
		function downloadFiles(force) {
			window.open("/sample.nxnj/download/example.do?index=0004-modaless", "pop", "width=500,height=300,status=no,toolbar=no,menubar=no,location=no");
		}
		
		function showResult(msg) {
			alert(msg);
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTdownload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 4</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 4. 매니저와 모니터 연동 다운로드</div>
				<dl>
					<dt>설명</dt>
					<dd>
						<p>DEXTdownloadNX는 다운로드 매니저와 다운로드 모니터로 크게 나눌 수 있습니다.</p>
						<p>일반적으로 DEXTdownloadNX는 다운로드 매니저만으로 파일 다운로드가 모두 처리됩니다.</p>
						<p>간혹 다운로드되는 과정을 따로 표시하기 위해서 팝업 창을 사용할 수 있으며, 이 때 다운로드 매니저와 다운로드 모니터로 이를 구별하여 처리할 수 있도록 지원합니다.</p>
						<p>샘플은 '다운로드 시작' 버튼을 클릭할 때, 다운로드 매니저가 파일 다운로드를 수행하지 않고</p>
						<p>다운로드 모니터가 사용되는 팝업 페이지에서 자동으로 다운로드가 처리되도록 합니다.</p>
						<pre class="prettyprint">
// 버튼이 클릭되면 팝업 페이지를 호출합니다.
window.open("/sample.nxnj/download/example.do?index=0004-modaless", "pop", "width=500,height=300, ...");
</pre>
						<p>다운로드 모니터가 사용되는 팝업 페이지에서는 컴포넌트를 다운로드 모니터로 설정을 하고,</p>
						<p>컴포넌트가 로드되면 부모 창으로부터 다운로드할 파일 정보를 넘겨 받습니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  // 다운로드 모니터로 설정합니다.
  Operator_Type: "DOWNLOAD_MONITOR",
  NXEventFunctions: {
    OnNXOperatorEventCreateComplete: function (id, optype) {
  	  // 부모 창에 있는 다운로드 매니저로부터 파일 목록을 받아 설정합니다.
      NXOperators[id].DownItems = opener.NXOperators["dextnx"].DownItems;
      // 목록 설정이 완료되면 1초후 다운로드를 시작합니다.
      setTimeout(function () {
        NXOperators[id].DownloadStart();
      }, 1000);
    }
    ...
  }
});</pre>
					</dd>
					<dt>과정</dt>
					<dd>
						<div class="diagrambg">
							<div class="diagram-upload-flow">
								<a class="shape"><span class="head">Page</span><span class="target">download/example.do?index=0004</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">window.open</span></a>
								<a class="shape"><span class="head">Page(Pop up)</span><span class="target">download/example.do?index=0004-modaless</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">Get</span></a>
								<a class="shape"><span class="head">FileServiceController</span><span class="target">service/targetdownload.do</span><span class="comment">전송 처리</span></a>
							</div>
						</div>
					</dd>			
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>
							<input type="button" value="다운로드 시작" onclick="downloadFiles(false);"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>