<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "DOWNLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF1", 10172, "첨부파일_이미지.gif", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF2", 339, "첨부파일_텍스트.txt", "", true);
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventDownloadStartTotal: function (id, optype) {
						NXAlert(id, "다운로드를 시작합니다.");
					},
					OnNXOperatorEventDownloadCompleteTotal: function (id, optype) {					    
					    NXAlert(id, "다운로드가 완료되었습니다.");
					},
					OnNXOperatorEventDownloadCancelTotal: function (id, optype) {
						NXAlert(id, "다운로드가 중지되었습니다.");
					}
				}
			});
		};
		
		function showState() {
			
			var outHtml = "";

			outHtml += "<p>현재 파일: " + NXOperators["dextnx"].DS_CurrentFileTitle + "</p>";
			outHtml += "<p>속도: " + NXOperators["dextnx"].DS_Speed + "</p>";
			outHtml += "<p>완료/전체: " + NXOperators["dextnx"].DS_Completecount + " / " + NXOperators["dextnx"].DS_TotalCount + "</p>";
			outHtml += "<p>현재 파일 진행률: " + NXOperators["dextnx"].DS_CurrentRate + "%" + "</p>";
			outHtml += "<p>현재 파일 전송크기/파일크기: " + NXOperators["dextnx"].DS_CurrentRecvSize + " / " + NXOperators["dextnx"].DS_CurrentSize + "</p>";
			outHtml += "<p>현재 파일 진행시간/남은시간: " + NXOperators["dextnx"].DS_CurrentTime + " / " + NXOperators["dextnx"].DS_CurrentRemainTime + "</p></p>";
			outHtml += "<p>전체 진행률: " + NXOperators["dextnx"].DS_TotalRate + " %" + "</p>";
			outHtml += "<p>전체 전송크기 / 전체 파일 크기: " + NXOperators["dextnx"].DS_TotalRecvSize + " / " + NXOperators["dextnx"].DS_TotalSize + "</p>";
			outHtml += "<p>전체 진행시간/남은시간: " + NXOperators["dextnx"].DS_TotalTime + " / " + NXOperators["dextnx"].DS_TotalRemainTime + "</p>";

			document.getElementById("out-state").innerHTML = outHtml;
			
			setTimeout(showState, 500);
		}
		
		function downloadFiles() {
			NXOperators["dextnx"].DownloadStart();
			
			showState();
		}
		
		function stopDownloading() {
			NXOperators["dextnx"].DownloadStop();
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 6</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 6. 다운로드 상태 정보 갱신(타이머 방식)</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>파일 다운로드를 수행하는 과정에서 다운로드 상태를 확인하는 예제입니다.</p>
						<p>DEXTUploadNX의 다운로드 매니저 객체는 현재 다운로드 상태 정보를 나타내는 속성을 가지고 있습니다.</p>
						<p>자바스크립트의 setTimeout 함수를 사용하여 주기적으로 갱신된 상태 정보를 확인할 수 있습니다.</p>
						<pre class="prettyprint">
// 전체 전송률 반환 숫자
dextnxObj.DS_TotalRate;
// 현재 전송률 반환 숫자
dextnxObj.DS_CurrentRate;
// 전체 다운로드 갯수 반환 숫자
dextnxObj.DS_TotalCount;
// 완료된 다운로드 갯수 반환 숫자
dextnxObj.DS_Completecount;
// 전체 전송 시간 반환 문자열
dextnxObj.DS_TotalTime;
// 현재 전송 시간 반환 문자열
dextnxObj.DS_CurrentTime;
// 전체 전송 남은 시간 반환 문자열
dextnxObj.DS_TotalRemainTime;
// 현재 전송 남은 시간 반환 문자열
dextnxObj.DS_CurrentRemainTime;
// 전체 크기 반환 숫자
dextnxObj.DS_TotalSize;
// 전체 전송 크기 반환 숫자
dextnxObj.DS_TotalSendSize;
// 현재 크기 반환 숫자
dextnxObj.DS_CurrentSize;
// 현재 전송 크기 반환 숫자
dextnxObj.DS_CurrentSendSize;
// 현재 전송 중인 파일 이름 반환
dextnxObj.DS_CurrentFileTitle;</pre>
					</dd>		
					<dt>과정</dt>
					<dd>
						<div class="diagrambg">
							<div class="diagram-upload-flow">
								<a class="shape"><span class="head">Page</span><span class="target">download/example.do?index=0006</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">GET</span></a>
								<a class="shape"><span class="head">FileServiceController</span><span class="target">service/targetdownload.do</span><span class="comment">다운로드 처리</span></a>
							</div>
						</div>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p> 
						<p>첨부된 파일의 크기가 작기 때문에 실시간으로 보기 어렵습니다.</p>
						<p>파일 용량이 큰 대상을 다운로드하는 경우, 눈으로 확인할 수 있습니다.</p>
						<p>
							<input type="button" value="다운로드 시작" onclick="downloadFiles();"/>
							<input type="button" value="다운로드 중지" onclick="stopDownloading();"/>
						</p>
						<div id="out-state"></div>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>