<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "DOWNLOAD_MANAGER",
				DecryptionEnable: true,
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF3", 10233, "첨부파일_이미지.gif", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF4", 409, "첨부파일_텍스트.txt", "", true);
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventDownloadStartTotal: function (id, optype) {
						NXAlert(id, "다운로드를 시작합니다.");
					},
					OnNXOperatorEventDownloadCompleteTotal: function (id, optype) {					    
					    NXAlert(id, "다운로드가 완료되었습니다.");
					},
					OnNXOperatorEventDownloadCancelTotal: function (id, optype) {
						NXAlert(id, "다운로드가 중지되었습니다.");
					}
				}
			});
		};
		
		function downloadFiles() {
			NXOperators["dextnx"].DownloadStart();
		}
		
		function stopDownloading() {
			NXOperators["dextnx"].DownloadStop();
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 7</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 7. 복호화 다운로드</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>파일 다운로드를 수행하는 과정에서 파일을 복호화하는 예제입니다.</p>
						<p>DEXTUploadNX는 업로드되는 파일을 암호화할 수 있습니다.</p>
						<p>이렇게 암호화된 파일을 다운로드할 때, 다시 복호화할 수 있습니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  // 복호화 다운로드를 설정합니다.
  DecryptionEnable: true,
  ...
  NXEventFunctions: {
    OnNXOperatorEventDecryptBegin: function (id, optype) {
      // 복호화가 시작될 때 호출됩니다.
    },
    OnNXOperatorEventDecryptEnd: function (id, optype) {
      // 복호화가 끝날 때 호출됩니다.
    },
    OnNXOperatorEventDecryptCancel: function (id, optype) {
      // 복호화가 취소되면 호출됩니다.
    },
    OnNXOperatorEventDecryptFail: function (id, optype, err) {
      // 복호화가 실패하면 호출됩니다.
    },  
    ...
  }
});</pre>
					</dd>		
					<dt>과정</dt>
					<dd>
						<div class="diagrambg">
							<div class="diagram-upload-flow">
								<a class="shape"><span class="head">Page</span><span class="target">download/example.do?index=0007</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">GET</span></a>
								<a class="shape"><span class="head">FileServiceController</span><span class="target">service/targetdownload.do</span><span class="comment">다운로드 처리</span></a>
							</div>
						</div>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p> 
						<p>암호화된 파일을 복호화하는 과정에 필요한 비밀번호는 '1111'입니다.</p>
						<p>
							<input type="button" value="다운로드 시작" onclick="downloadFiles();"/>
							<input type="button" value="다운로드 중지" onclick="stopDownloading();"/>
						</p>
						<div id="out-state"></div>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>