<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "DOWNLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 10172, "0_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 20172, "1_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 30172, "2_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 40172, "가_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 50172, "나_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 60172, "다_다운로드_파일.txt", "", true);
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					}
				}
			});
		};
		
		function toggleSelectionAll(selected) {
			if (selected)
				NXOperators["dextnx"].SelectAllItems();
			else
				NXOperators["dextnx"].UnselectAllItems();
		}
		
		function selectFile() {
			var findex = document.getElementById("txtFileIndex").value;
			if (findex && isNaN(findex) == false) {
				NXOperators["dextnx"].SelectItem(parseInt(findex));
			} else {
				alert("파일의 인덱스(0부터 시작)를 입력하세요.");
			}
		}
		
		function unselectFile() {
			var findex = document.getElementById("txtFileIndex").value;
			if (findex && isNaN(findex) == false) {
				NXOperators["dextnx"].UnselectItem(parseInt(findex));
			} else {
				alert("파일의 인덱스(0부터 시작)를 입력하세요.");
			}
		}
		
		function showSelected() {
			var findex = document.getElementById("txtFileIndex").value;
			if (findex && isNaN(findex) == false) {
				if (NXOperators["dextnx"].IsSelectedItem(parseInt(findex)))
					alert("[" + findex + "] item is selected");
				else
					alert("[" + findex + "] item is not selected");
			} else {
				alert("파일의 인덱스(0부터 시작)를 입력하세요.");
			}
		}
		
		function showSelectedCount() {
			alert(NXOperators["dextnx"].SelectedCount);
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 10</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 10. 파일 항목 선택</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>사용자가 리스트에서 마우스를 사용하여 항목을 선택하는 방법 외에 스크립트를 사용하여 선택할 수 있습니다.</p>
						<pre class="prettyprint">
// 모든 항목을 선택 상태로 변경합니다.
dextnxObj.SelectAllItems();

// 모든 항목을 선택 해지 상태로 변경합니다.
dextnxObj.UnselectAllItems();

// 인덱스에 해당하는 항목을 선택 상태로 변경합니다.
dextnxObj.SelectItem(인덱스값);

// 인덱스에 해당하는 항목을 선택 해지 상태로 변경합니다.
dextnxObj.UnselectItem(인덱스값);

// 인덱스에 해당하는 항목이 선택 또는 해지 상태인지 여부(true/false)를 반환합니다.
var selected = dextnxObj.IsSelectedItem(인덱스값);

// 선택된 항목의 개수를 반환합니다.
var cnt = dextnxObj.SelectedCount;</pre>
					</dd>			
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>리스트에 있는 모든 파일을 선택하거나 선택을 해지합니다.</p>
						<p>
							<input type="button" value="전체 파일 선택" onclick="toggleSelectionAll(true);"/>
							<input type="button" value="전체 선택 해지" onclick="toggleSelectionAll(false);"/>
						</p>
						<p>&nbsp;</p> 
						<p>특정 대상만 선택을 하거나 해지할 수 있습니다.</p>
						<p>							
							파일 인덱스(순서)
							<input type="text" id="txtFileIndex"/>
							<input type="button" value="선택" onclick="selectFile();"/>
							<input type="button" value="선택 해지" onclick="unselectFile();"/>
							<input type="button" value="선택 상태" onclick="showSelected();"/>
						</p>
						<p>&nbsp;</p>
						<p>선택된 파일의 개수</p>
						<p>
							<input type="button" value="선택된 파일의 개수 보기" onclick="showSelectedCount();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>