<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "DOWNLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 30172, "2_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 60172, "다_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 10172, "0_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 20172, "1_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 50172, "나_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 40172, "가_다운로드_파일.txt", "", true);
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					}
				}
			});
		};
		
		function sortAuto(sortType) {
			NXOperators["dextnx"].ListViewAutoSortType = sortType;
		}
		
		function deleteAll() {
			NXOperators["dextnx"].DeleteAllItems();
		}
		
		function insertAll() {
			NXOperators["dextnx"].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 30172, "2_다운로드_파일.txt", "", false);
			NXOperators["dextnx"].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 60172, "다_다운로드_파일.txt", "", false);
			NXOperators["dextnx"].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 10172, "0_다운로드_파일.txt", "", false);
			NXOperators["dextnx"].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 20172, "1_다운로드_파일.txt", "", false);
			NXOperators["dextnx"].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 50172, "나_다운로드_파일.txt", "", false);
			NXOperators["dextnx"].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 40172, "가_다운로드_파일.txt", "", true);
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 11</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 11. 파일 항목 정렬</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>스크립트를 사용하여 기본적으로 사용할 정렬 기준을 설정할 수 있습니다.</p>
						<pre class="prettyprint">
// 주어진 타입에 따라 정렬(파일 이름)을 수행합니다.
// 0:정렬 안함, 1:오름차순, 2:내림차순
dextnxObj.ListViewAutoSortType = 0;</pre>
					</dd>			
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p> 
						<p>파일 추가시 자동 정렬을 수행합니다.</p>
						<p>							
							<input type="radio" name="rdoAutoSort" onclick="sortAuto(0);" checked="checked"/><label>정렬 안함</label>
							<input type="radio" name="rdoAutoSort" onclick="sortAuto(1);"/><label>오름차순 자동 정렬</label>
							<input type="radio" name="rdoAutoSort" onclick="sortAuto(2);"/><label>내림차순 자동 정렬</label>
						</p>
						<p>&nbsp;</p>
						<p>정렬을 테스트하기 위해서는 삭제 후 다시 추가를 하여 확인할 수 있습니다.</p>
						<p>
							<input type="button" value="전체 항목 삭제" onclick="deleteAll();"/>
							<input type="button" value="전체 항목 추가" onclick="insertAll();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>