<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "DOWNLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 30172, "2_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 60172, "다_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 10172, "0_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 20172, "1_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 50172, "나_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 40172, "가_다운로드_파일.txt", "", true);
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					}
				}
			});
		};
		
		function showListStatus() {
			var allCnt = NXOperators["dextnx"].Count;
			var selCnt = NXOperators["dextnx"].SelectedCount;
			
			alert(
				"전체 항목 수 = " + allCnt + "\n" +
				"선택된 항목 수 = " + selCnt + "\n");
		}
		
		function showItemInfo() {
			var index = document.getElementById("txtItemIndex").value;
			if (index && isNaN(index) == false) {
				var item = NXOperators["dextnx"].Item(parseInt(index));
				if (item) {
					var msg = "" +
						"URL = " + item.FileURL + "\n" +	
						"크기 = " + item.FileSize + "\n" +
						"이름 = " + item.FileTitle + "\n" +						
						"폴더경로 = " + item.DirPath + "\n" +
						"확장자 = " + item.FileExtension + "\n" +
						"다운로드받은크기 = " + item.SkipSize + "\n" +
						"저장경로 = " + item.SavePath + "\n" +
						"저장된파일전체경로 = " + item.SaveFullPath + "\n" +
						"상태 = " + item.Status;
						
					alert(msg);
				}
				document.getElementById("txtItemIndex").value = "";
			} else {
				alert("항목의 인덱스(0부터 시작)를 입력하세요.");
			}
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 12</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 12. 파일 항목 정보 확인</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>리스트에 등록된 항목에 대한 상세 속성 값을 스크립트로 얻어낼 수 있습니다.</p>
						<p>선택된 혹은 인덱스에 해당하는 항목 객체를 얻은 후, 해당 객체의 속성으로부터 접근이 가능합니다.</p>
						<pre class="prettyprint">
// 다운로드할 파일경로를 나타냅니다.
var url = item.FileURL;
// 파일의 크기를 나타냅니다.
var size = item.FileSize;
// 파일명을 나타냅니다.
var fileName = item.FileTitle;
// 폴더 구조 다운로드에 사용되는 디렉터리(폴더) 이름을 나타냅니다.
var dir = item.DirPath;
// 파일의 확장자를 나타냅니다.
var ext = item.FileExtension;
// 이어받기시 이미 다운로드 받은 파일의 크기를 나타냅니다.(건너뛰는 용도로 사용)
var skipSize = item.SkipSize;
// 대상이 저장될 폴더 경로를 나타냅니다.
var path = item.SavePath;
// 대상이 저장될 전체 경로를 나타냅니다.
var fullPath = item.SaveFullPath;
// 대상의 상태를 나타냅니다.
var status = item.Status;</pre> 
					</dd>			
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>리스트에 등록된 항목에 대한 정보를 확인할 수 있습니다.</p>
						<p>
							<input type="button" value="정보 보기" onclick="showListStatus();"/>
						</p>
						<p>&nbsp;</p> 
						<p>특정 항목에 대한 전체 속성을 확인합니다.</p>
						<p>
							항목 인덱스(순서)
							<input type="text" id="txtItemIndex"/>
							<input type="button" value="정보 보기" onclick="showItemInfo();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>