<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
		};
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 13</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 13. 프록시 설정</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>다운로드 서비스를 제공하는 과정에서 프록시 서버로의 접근이 필요한 경우</p>
						<p>프록시 정보를 등록하여 파일 다운로드 서비스가 프록시 서버를 거치도록 설정할 수 있습니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  // 프록시를 사용하도록 설정합니다.
  EnableProxy: true,
  // 프록시 서버 주소를 설정합니다.
  ProxyName: "127.0.0.1",  
  // 프록시 포트 번호를 설정합니다.
  ProxyPort: "4480",
  // 프록시 사용 계정의 아이디를 설정합니다.
  ProxyUserID: "proxyUserId",
  // 프록시 사용 계정의 비밀번호를 설정합니다.
  ProxyUserPassword: "proxyUserPassword",
  ...
  NXEventFunctions: {
    ...
  }
});</pre> 
						<p class="notice">DEXTUploadNX는 자체 프록시 기능을 갖는 것이 아니며, 프록시 서버로 접근이 가능토록 기능을 제공하는 것입니다.</p>
					</dd>					
					<dt>예제</dt>
					<dd>
						<p>&nbsp;</p>
						<p>프록시 설정은 예제를 제공하지 않습니다.</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>