<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%
	request.setAttribute("contextPath", request.getContextPath()); 
	request.setAttribute("contextUri", request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + "/" + request.getContextPath());
%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		var eventSelection = false;
		var eventClick = false;
		var eventDbClick = false;
	
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "DOWNLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 30172, "2_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 60172, "다_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 10172, "0_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 20172, "1_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 50172, "나_다운로드_파일.txt", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=id", 40172, "가_다운로드_파일.txt", "", true);
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					}
				}
			});
		};
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 15</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 15. 리스트 스타일 변경</div>	
				<dl>
					<dt>설명</dt>
					<dd>						
						<p>DEXTUploadNX는 리스트 화면에 여러 스타일을 지정할 수 있습니다.</p>
					</dd>			
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<table class="property-table">
							<thead>
								<tr><th>대상</th><th>설정</th></tr>
							</thead>
							<tbody>
								<tr>
									<td>스타일</td>
									<td>
										<input type="radio" name="rdoStyle" onclick="NXOperators['dextnx'].ListViewShowStyle = 'REPORT';" checked="checked"/><label>REPORT</label>&nbsp;&nbsp;
										<input type="radio" name="rdoStyle" onclick="NXOperators['dextnx'].ListViewShowStyle = 'ICON';"/><label>ICON</label>&nbsp;&nbsp;
										<input type="radio" name="rdoStyle" onclick="NXOperators['dextnx'].ListViewShowStyle = 'REPORT_NOHEADER';"/><label>REPORT_NOHEADER</label>
									</td>
								</tr>
								<tr>
									<td>테두리</td>
									<td>
										<input type="radio" name="rdoBorder" onclick="NXOperators['dextnx'].ListViewShowBorder = true;" checked="checked"/><label>보이기</label>&nbsp;&nbsp;
										<input type="radio" name="rdoBorder" onclick="NXOperators['dextnx'].ListViewShowBorder = false;"/><label>숨기기</label>
									</td>
								</tr>								
								<tr>
									<td>DELETE 키 사용</td>
									<td>
										<input type="radio" name="rdoDelKey" onclick="NXOperators['dextnx'].ListViewEnableDelKey = true;" checked="checked"/><label>사용함</label>&nbsp;&nbsp;
										<input type="radio" name="rdoDelKey" onclick="NXOperators['dextnx'].ListViewEnableDelKey = false;"/><label>사용안함</label>
									</td>
								</tr>
								<tr>
									<td>팝업 사용</td>
									<td>
										<input type="radio" name="rdoPopup" onclick="NXOperators['dextnx'].ListViewEnablePopupMenu = true;" checked="checked"/><label>사용함</label>&nbsp;&nbsp;
										<input type="radio" name="rdoPopup" onclick="NXOperators['dextnx'].ListViewEnablePopupMenu = false;"/><label>사용안함</label>
									</td>
								</tr>
								<tr>
									<td>칼럼 정렬 사용</td>
									<td>
										<input type="radio" name="rdoColSort" onclick="NXOperators['dextnx'].ListViewEnableSortColumn = true;" checked="checked"/><label>사용함</label>&nbsp;&nbsp;
										<input type="radio" name="rdoColSort" onclick="NXOperators['dextnx'].ListViewEnableSortColumn = false;"/><label>사용안함</label>
									</td>
								</tr>
								<tr>
									<td>다중 선택 사용</td>
									<td>
										<input type="radio" name="rdoMultiSelect" onclick="NXOperators['dextnx'].ListViewEnableMultiSelect = true;" checked="checked"/><label>사용함</label>&nbsp;&nbsp;
										<input type="radio" name="rdoMultiSelect" onclick="NXOperators['dextnx'].ListViewEnableMultiSelect = false;"/><label>사용안함</label>
									</td>
								</tr>
								<tr>
									<td>진행바 사용</td>
									<td>
										<p>다운로드 시점에 진행바가 표시됩니다. 본 예제에서는 설정 방법만 예시로 보여드립니다.</p>
										<input type="radio" name="rdoProgress" onclick="NXOperators['dextnx'].ListViewShowProgress = true;" checked="checked"/><label>사용함</label>&nbsp;&nbsp;
										<input type="radio" name="rdoProgress" onclick="NXOperators['dextnx'].ListViewShowProgress = false;"/><label>사용안함</label>
									</td>
								</tr>
								<tr>
									<td>배경/글자 설정</td>
									<td>
										배경색
										<select onchange="NXOperators['dextnx'].ListViewBkColor = this.value;">
											<option value="#ffffff" selected="selected">#ffffff</option>
											<option value="#ff0000">#ff0000</option>
											<option value="#00ff00">#00ff00</option>
											<option value="#0000ff">#0000ff</option>
											<option value="#cccccc">#cccccc</option>
										</select>&nbsp;&nbsp;
										글자색
										<select onchange="NXOperators['dextnx'].ListViewTextColor = this.value;">
											<option value="#000000" selected="selected">#000000</option>
											<option value="#ff0000">#ff0000</option>
											<option value="#00ff00">#00ff00</option>
											<option value="#0000ff">#0000ff</option>
											<option value="#cccccc">#cccccc</option>
										</select>
									</td>
								</tr>
								<tr>
									<td>폰트</td>
									<td>						
										<p>
											폰트
											<select onchange="NXOperators['dextnx'].ListViewFont = this.value;">
												<option value="" selected="selected">기본값</option>
												<option value="Gulim">굴림</option>
												<option value="Dotum">돋움</option>
												<option value="Consolas">Consolas</option>
												<option value="Arial">Arial</option>
											</select>&nbsp;&nbsp;
											폰트 크기
											<select onchange="NXOperators['dextnx'].ListViewFontSize = parseInt(this.value);">
												<option value="9">9</option>
												<option value="10">10</option>
												<option value="12" selected="selected">12</option>
												<option value="14">14</option>
												<option value="24">24</option>
											</select>&nbsp;&nbsp;
										</p>
									</td>
								</tr>
								<tr>
									<td>헤더 설정</td>
									<td>
										<p>
											헤더 높이
											<select onchange="NXOperators['dextnx'].ListViewHeaderHeight = parseInt(this.value);">
												<option value="16">16</option>
												<option value="20">20</option>
												<option value="24" selected="selected">24</option>
												<option value="30">30</option>
												<option value="36">36</option>
											</select>&nbsp;&nbsp;
											헤더 그라데이션 방향
											<select onchange="NXOperators['dextnx'].ListViewHeaderGradationType = this.value;">
												<option value="VERTICAL" selected="selected">세로</option>
												<option value="HORIZONTAL">가로</option>
											</select>&nbsp;&nbsp;
										</p>
										<p>
											일반 헤더 그라데이션 시작 색상
											<select onchange="NXOperators['dextnx'].ListViewHeaderColor_NormalTop = this.value;">
												<option value="#-1" selected="selected">기본값</option>
												<option value="#ff0000">#ff0000</option>
												<option value="#00ff00">#00ff00</option>
												<option value="#0000ff">#0000ff</option>
												<option value="#cccccc">#cccccc</option>
											</select>&nbsp;&nbsp;
											일반 헤더 그라데이션 끝 색상
											<select onchange="NXOperators['dextnx'].ListViewHeaderColor_NormalBottom = this.value;">
												<option value="#-1" selected="selected">기본값</option>
												<option value="#ff0000">#ff0000</option>
												<option value="#00ff00">#00ff00</option>
												<option value="#0000ff">#0000ff</option>
												<option value="#cccccc">#cccccc</option>
											</select>&nbsp;&nbsp;
										</p>
										<p>
											눌림 헤더 그라데이션 시작 색상
											<select onchange="NXOperators['dextnx'].ListViewHeaderColor_PushTop = this.value;">
												<option value="#-1" selected="selected">기본값</option>
												<option value="#ff0000">#ff0000</option>
												<option value="#00ff00">#00ff00</option>
												<option value="#0000ff">#0000ff</option>
												<option value="#cccccc">#cccccc</option>
											</select>&nbsp;&nbsp;
											눌림 헤더 그라데이션 끝 색상
											<select onchange="NXOperators['dextnx'].ListViewHeaderColor_PushBottom = this.value;">
												<option value="#-1" selected="selected">기본값</option>
												<option value="#ff0000">#ff0000</option>
												<option value="#00ff00">#00ff00</option>
												<option value="#0000ff">#0000ff</option>
												<option value="#cccccc">#cccccc</option>
											</select>&nbsp;&nbsp;
										</p>
										<p>&nbsp;</p>
										<p>칼럼의 넓이(가로 크기)는 컴포넌트 초기에만 자동 설정이 가능합니다.</p>
										<p>이후 칼럼 넓이를 조정하면 조정된 칼럼 외에 나머지 칼럼이 넓이는 자동 조정되지 않습니다.</p>
										<p>
											이름 칼럼 넓이
											<select onchange="NXOperators['dextnx'].ListViewNameColumnWidth = parseInt(this.value);">
												<option value="0" selected="selected">기본값(초기만 가능)</option>
												<option value="100">100</option>
												<option value="200">200</option>
												<option value="300">300</option>
												<option value="400">400</option>
											</select>&nbsp;&nbsp;
											크기 칼럼 넓이
											<select onchange="NXOperators['dextnx'].ListViewSizeColumnWidth = parseInt(this.value);">
												<option value="0" selected="selected">기본값(초기만 가능)</option>
												<option value="100">100</option>
												<option value="200">200</option>
												<option value="300">300</option>
												<option value="400">400</option>
											</select>&nbsp;&nbsp;
											상태 칼럼 넓이
											<select onchange="NXOperators['dextnx'].ListViewStatusColumnWidth = parseInt(this.value);">
												<option value="0" selected="selected">기본값(초기만 가능)</option>
												<option value="100">100</option>
												<option value="200">200</option>
												<option value="300">300</option>
												<option value="400">400</option>
											</select>&nbsp;&nbsp;
										</p>
									</td>
								</tr>
								<tr>
									<td>리스트</td>
									<td>						
										<p>
											격자선
											<select onchange="NXOperators['dextnx'].ListViewShowGridLine = this.value;">
												<option value="true" selected="selected">보이기</option>
												<option value="false">숨기기</option>
											</select>&nbsp;&nbsp;
											행 높이
											<select onchange="NXOperators['dextnx'].ListViewItemHeight = parseInt(this.value);">
												<option value="15">15</option>
												<option value="20">20</option>
												<option value="24" selected="selected">24</option>
												<option value="30">30</option>
												<option value="36">36</option>
												<option value="42">42</option>
												<option value="50">50</option>
											</select>&nbsp;&nbsp;
										</p>
										<p>&nbsp;</p>
										<p>${contextUri}/common/images/ListViewBkImage.png</p>
										<p>리스트에 등록된 파일을 delete키로 모두 삭제 후 위의 주소를 복사하여 설정해보세요.</p>
										<p>
											<input type="text" id="txtImageUrl"/>
											<input type="button" value="배경 이미지 설정" onclick="NXOperators['dextnx'].ListViewBkImageURL = document.getElementById('txtImageUrl').value;"/>
										</p>
										<p>
											X축 위치 지정
											<select onchange="NXOperators['dextnx'].ListViewBkImageXOffsetPercent = parseInt(this.value);">
												<option value="0">0%</option>
												<option value="50" selected="selected">50%</option>
												<option value="100">100%</option>
											</select>&nbsp;&nbsp;
											Y축 위치 지정
											<select onchange="NXOperators['dextnx'].ListViewBkImageYOffsetPercent = parseInt(this.value);">
												<option value="0">0%</option>
												<option value="50" selected="selected">50%</option>
												<option value="100">100%</option>
											</select>&nbsp;&nbsp;
										</p>
									</td>
								</tr>
								<tr>
									<td>패턴</td>
									<td>						
										<p>
											UI 색상 패턴
											<select onchange="NXOperators['dextnx'].ListViewUIColorPattern = parseInt(this.value);">
												<option value="0" selected="selected">0 패턴 (기본)</option>
												<option value="1">1 패턴</option>
												<option value="2">2 패턴</option>
												<option value="3">3 패턴</option>
												<option value="4">4 패턴</option>
												<option value="5">5 패턴</option>
												<option value="6">6 패턴</option>
												<option value="7">7 패턴</option>
											</select>&nbsp;&nbsp;
											상태 이미지 패턴
											<select onchange="NXOperators['dextnx'].ListViewStatusImgPattern = parseInt(this.value);">
												<option value="0" selected="selected">0 패턴 (기본)</option>
												<option value="1">1 패턴</option>
												<option value="2">2 패턴</option>
												<option value="3">3 패턴</option>
											</select>&nbsp;&nbsp;
										</p>
									</td>
								</tr>
							</tbody>
						</table>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>