<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "DOWNLOAD_MANAGER",
				UseClientRegistry: true,
				ChangeExistItemPath: true,
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF1", 10172, "첨부파일_이미지.gif", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF2", 339, "첨부파일_텍스트.txt", "", true);
						
						viewCurrentDownloadPath();
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventDownloadStartTotal: function (id, optype) {
						NXAlert(id, "다운로드를 시작합니다.");
					},
					OnNXOperatorEventDownloadCompleteTotal: function (id, optype) {					    
					    NXAlert(id, "다운로드가 완료되었습니다.");
					    NXOperators["dextnx"].OpenDownloadPath();
					},
					OnNXOperatorEventDownloadCancelTotal: function (id, optype) {
						NXAlert(id, "다운로드가 중지되었습니다.");
					}
				}
			});
		};
		
		function downloadFiles() {
			NXOperators["dextnx"].DownloadStart();
		}
		
		function stopDownloading() {
			NXOperators["dextnx"].DownloadStop();
		}
		
		function viewCurrentDownloadPath() {
			document.getElementById("lblDownloadPath").innerText = NXOperators["dextnx"].DownloadPath;
		}
		
		function changeDownloadPath() {
			NXOperators["dextnx"].SetDownloadPathDialog();
			viewCurrentDownloadPath();
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 16</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 16. 다운로드 경로 변경</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>파일 다운로드 경로를 변경하는 예제입니다.</p>
						<p>다운로드 경로를 폴더 다이얼로그 창을 사용하여 변경하는 방법과 강제로 설정하는 방법이 있습니다.</p>
						<pre class="prettyprint">
// 경로를 변경할 수 있도록 폴더 다이얼로그 창을 실행합니다.
dextnxObj.SetDownloadPathDialog();

// 현재 다운로드 경로를 나타냅니다.
var currentPath = dextnxObj.DownloadPath;
// DownloadPath 속성에 경로를 입력하여 다운로드 경로를 고정할 수 있습니다.
// "&lt;home&gt;\\" 값을 설정하면 다운로드 경로가 사용자 폴더로 변경됩니다.
// "&lt;doc&gt;\\" 값을 설정하면 다운로드 경로가 문서 폴더로 변경됩니다.
// "&lt;desktop&gt;\\" 값을 설정하면 다운로드 경로가 바탕화면 폴더로 변경됩니다.
dextnxObj.DownloadPath = "c:\temp";</pre>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  // 폴더 다이얼로그나 파일 다이얼로그 창을 사용할 때,
  // 마지막에 사용된 위치를 기억하도록 합니다.
  UseClientRegistry: true,
  NXEventFunctions: {
    ...
  }
});</pre>
					</dd>		
					<dt>과정</dt>
					<dd>
						<div class="diagrambg">
							<div class="diagram-upload-flow">
								<a class="shape"><span class="head">Page</span><span class="target">download/example.do?index=0016</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">Get</span></a>
								<a class="shape"><span class="head">FileServiceController</span><span class="target">service/targetdownload.do</span><span class="comment">다운로드 처리</span></a>
							</div>
						</div>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p> 
						<p>파일 다운로드 경로를 변경할 수 있습니다.</p>
						<p>
							다운로드 경로: <span id="lblDownloadPath"></span>
							<input type="button" value="경로 변경" onclick="changeDownloadPath();"/>
							<input type="button" value="사용자 폴더로" onclick="NXOperators['dextnx'].DownloadPath = '<home>\\'; viewCurrentDownloadPath();"/>
							<input type="button" value="문서 폴더로" onclick="NXOperators['dextnx'].DownloadPath = '<doc>\\'; viewCurrentDownloadPath();"/>
							<input type="button" value="바탕화면 폴더로" onclick="NXOperators['dextnx'].DownloadPath = '<desktop>\\'; viewCurrentDownloadPath();"/>
						</p>
						<p>&nbsp;</p>
						<p>다운로드가 완료되면 대상 폴더가 열립니다.</p>
						<p>
							<input type="button" value="다운로드 시작" onclick="downloadFiles();"/>
							<input type="button" value="다운로드 중지" onclick="stopDownloading();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>