<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "DOWNLOAD_MANAGER",
				UseClientRegistry: true,
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF1", 10172, "첨부파일_이미지.gif", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF2", 339, "첨부파일_텍스트.txt", "", true);
						
						viewCurrentDownloadPath();
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventDownloadStartTotal: function (id, optype) {
						NXAlert(id, "다운로드를 시작합니다.");
					},
					OnNXOperatorEventDownloadCompleteTotal: function (id, optype) {					    
					    NXAlert(id, "다운로드가 완료되었습니다.");
					    NXOperators["dextnx"].OpenDownloadPath();
					},
					OnNXOperatorEventDownloadCancelTotal: function (id, optype) {
						NXAlert(id, "다운로드가 중지되었습니다.");
					}
				}
			});
		};
		
		function downloadFiles(force) {
			if (force)
				NXOperators["dextnx"].DownloadStart_Force();
			else
				NXOperators["dextnx"].DownloadStart();
		}
		
		function stopDownloading() {
			NXOperators["dextnx"].DownloadStop();
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 17</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 17. 중복 파일 처리 옵션 설정</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>다운로드 위치에 중복 파일이 있는 경우 다운로드를 하는 방법을 설정할 수 있습니다.</p>
						<pre class="prettyprint">
// 파일 다운로드를 수행할 때, 이미 파일이 폴더에 존재하는 경우 처리할 방법을 설정할 수 있습니다.
// "OVERWRITE" 덮어씁니다. 기본값입니다.
// "RENAME" 파일 이름 뒤에 suffix가 붙습니다.
// "RESUME" 파일을 이어받습니다. 이미 완료된 상태라면 다운로드를 하지 않고 완료처리됩니다.
// "SKIP" 무조건 다운로드를 건너뛰고 완료처리됩니다.
dextnxObj.OverWriteMode = "OVERWRITE";</pre>
					</dd>		
					<dt>과정</dt>
					<dd>
						<div class="diagrambg">
							<div class="diagram-upload-flow">
								<a class="shape"><span class="head">Page</span><span class="target">download/example.do?index=0017</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">Get</span></a>
								<a class="shape"><span class="head">FileServiceController</span><span class="target">service/targetdownload.do</span><span class="comment">다운로드 처리</span></a>
							</div>
						</div>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p> 
						<p>파일 다운로드할 때 중복처리 옵션을 변경할 수 있습니다.</p>
						<p>
							<select onchange="NXOperators['dextnx'].OverWriteMode = this.value;">
								<option value="OVERWRITE" selected="selected">덮어쓰기</option>
								<option value="RENAME">이름변경</option>
								<option value="RESUME">이어받기</option>
								<option value="SKIP">건너뛰기</option>
							</select>
						</p>
						<p>&nbsp;</p>
						<p>다운로드가 완료되면 대상 폴더가 열립니다.</p>
						<p>
							<input type="button" value="다운로드 시작" onclick="downloadFiles(false);"/>
							<input type="button" value="강제 다운로드 시작" onclick="downloadFiles(true);"/>
							<input type="button" value="다운로드 중지" onclick="stopDownloading();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>