<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "DOWNLOAD_MANAGER",
				UseClientRegistry: true,
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF1", 10172, "첨부파일_이미지.gif", "depth1", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF2", 339, "첨부파일_텍스트.txt", "depth1\\depth2", true);
						
						viewCurrentDownloadPath();
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventDownloadStartTotal: function (id, optype) {
						NXAlert(id, "다운로드를 시작합니다.");
					},
					OnNXOperatorEventDownloadCompleteTotal: function (id, optype) {					    
					    NXAlert(id, "다운로드가 완료되었습니다.");
					    NXOperators["dextnx"].OpenDownloadPath();
					},
					OnNXOperatorEventDownloadCancelTotal: function (id, optype) {
						NXAlert(id, "다운로드가 중지되었습니다.");
					}
				}
			});
		};
		
		function downloadFiles() {
			NXOperators["dextnx"].DownloadStart();
		}
		
		function stopDownloading() {
			NXOperators["dextnx"].DownloadStop();
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 18</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 18. 폴더 구조 다운로드</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>다운로드할 파일을 폴더 구조 형식으로 저장하는 예제입니다.</p>
						<p>폴더 구조로 저장하기 위해서는 다운로드할 파일을 등록할 때, 파라미터에 폴더 경로를 함께 지정하면 됩니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  NXEventFunctions: {
    OnNXOperatorEventCreateComplete: function (id, optype) {
      // OnNXOperatorEventCreateComplete 이벤트 호출 시점에
      // AddDownloadItemFile 메소드를 사용하여 다운로드할 파일을 등록합니다.
      // 사용법: AddDownloadItemFile(다운로드할파일경로, 파일크기, 파일명, 폴더명, 마지막파일인지여부)
      // 폴더명을 등록하는 파라미터에 값을 입력하면 다운로드하는 위치 하위로 폴더가 생성되며 파일은 그 위치로 다운로드됩니다.
      NXOperators[id].AddDownloadItemFile(
        "http://~/sample.nxnj/service/targetdownload.do?key=VF1", 10172, "첨부파일_이미지.gif", "depth1", false);
      NXOperators[id].AddDownloadItemFile(
        "http://~/sample.nxnj/service/targetdownload.do?key=VF2", 339, "첨부파일_텍스트.txt", "depth1\\depth2", true);
    }	
    ...
  }
});</pre>
					</dd>		
					<dt>과정</dt>
					<dd>
						<div class="diagrambg">
							<div class="diagram-upload-flow">
								<a class="shape"><span class="head">Page</span><span class="target">download/example.do?index=0018</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">Get</span></a>
								<a class="shape"><span class="head">FileServiceController</span><span class="target">service/targetdownload.do</span><span class="comment">다운로드 처리</span></a>
							</div>
						</div>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>다운로드가 완료되면 대상 폴더가 열립니다.</p>
						<p>
							<input type="button" value="다운로드 시작" onclick="downloadFiles();"/>
							<input type="button" value="다운로드 중지" onclick="stopDownloading();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>