<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "DOWNLOAD_MANAGER",
				StateInfoEventGap: 500,
				NetSpeedLimit: 1024,
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF1", 10172, "첨부파일_이미지.gif", "", false);
						NXOperators[id].AddDownloadItemFile("http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF2", 339, "첨부파일_텍스트.txt", "", true);
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventDownloadStartTotal: function (id, optype) {
						NXAlert(id, "다운로드를 시작합니다.");
					},
					OnNXOperatorEventDownloadCompleteTotal: function (id, optype) {					    
					    NXAlert(id, "다운로드가 완료되었습니다.");
					},
					OnNXOperatorEventDownloadCancelTotal: function (id, optype) {
						NXAlert(id, "다운로드가 중지되었습니다.");
					},
					OnNXOperatorEventDownloadStateInfo: function (id, optype, state) {
						setTimeout(function() {
							var tokens = state.split(NXOperators[id].DEXTNX_Split_Str);
							if (tokens.length == 0) return;
							
							var outHtml = "";
	
							outHtml += "<p>현재 파일: " + tokens[0] + "</p>";
							outHtml += "<p>속도: " + tokens[1] + "</p>";
							outHtml += "<p>완료/전체: " + tokens[2] + " / " + tokens[3] + "</p>";
							outHtml += "<p>현재 파일 진행률: " + tokens[4] + "%" + "</p>";
							outHtml += "<p>현재 파일 받은크기/파일크기: " + tokens[5] + " / " + tokens[6] + "</p>";
							outHtml += "<p>현재 파일 진행시간/남은시간: " + tokens[7] + " / " + tokens[8] + "</p></p>";
							outHtml += "<p>전체 진행률: " + tokens[9] + " %" + "</p>";
							outHtml += "<p>전체 받은크기 / 전체 파일 크기: " + tokens[10] + " / " + tokens[11] + "</p>";
							outHtml += "<p>전체 진행시간/남은시간: " + tokens[12] + " / " + tokens[13] + "</p>";
	
							document.getElementById("out-state").innerHTML = outHtml;
						}, 100);
					}
				}
			});
		};
		
		function downloadFiles() {
			NXOperators["dextnx"].DownloadStart();
		}
		
		function stopDownloading() {
			NXOperators["dextnx"].DownloadStop();
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-download">파일 다운로드</a> &gt; 예제 19</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 19. 다운로드 속도 제한</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>DEXTUploadNX는 다운로드 속도를 제한할 수 있습니다.</p>
						<p>다운로드 속도를 제한하는 경우 네트워크 대역폭 소모량을 줄일 수 있습니다.</p>
						<p>다운로드 속도를 제한하면 설정 값에 최대한 가깝도록 다운로드를 수행합니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  // 다운로드 속도를 1KB로 제한합니다.
  // 0으로 설정하면 제한이 없으며, 최소 1, 최대 2147483647입니다.
  NetSpeedLimit: 1024,
  ...
  NXEventFunctions: {
    ...
  }
});</pre>
					</dd>		
					<dt>과정</dt>
					<dd>
						<div class="diagrambg">
							<div class="diagram-upload-flow">
								<a class="shape"><span class="head">Page</span><span class="target">download/example.do?index=0019</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">GET</span></a>
								<a class="shape"><span class="head">FileServiceController</span><span class="target">service/targetdownload.do</span><span class="comment">다운로드 처리</span></a>
							</div>
						</div>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>
							<input type="button" value="다운로드 시작" onclick="downloadFiles();"/>
							<input type="button" value="다운로드 중지" onclick="stopDownloading();"/>
						</p>
						<div id="out-state"></div>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>