<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>
		window.onload = function () {
			prettyPrint();
			
			SetNXLocaleXMLFileURL("http://" + location.host + "/sample.nxnj/dextuploadnx/NXMessage_eng.xml");
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXAlert(id, "DEXTUploadNX가 로드되었습니다.");
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					}
				}
			});
		};
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-etc">기타</a> &gt; 예제 1</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 1. 다국어 지원 방법</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>DEXTUploadNX는 기본적으로 NXMessage.xml로부터 화면에 표시되는 문자열 리소스를 얻습니다.</p>
						<p>영문 및 다른 언어로 표현을 하기 위해서는 NXMessage.xml을 해당 언어로 변경하거나</p>						
						<p>다른 언어로 작성된 xml 파일의 URL로 변경하면 됩니다.</p>
						<p>&nbsp;</p> 
						<p>다른 URL로 변경하려면 DEXTUploadNX.js파일에서 직접 수정하는 법은 다음과 같습니다.</p>
						<pre class="prettyprint">
if (vDEXTUploadNX_Domain != "") {
  ...
  // 반드시 전체 경로로 설정하셔야 합니다.
  vDEXTUploadNX_MessageXMLURI = "http://~/NXMessage_해당언어.xml";
};</pre>
						
						<p>DEXTUploadNX.js 파일을 수정하지 않고 컴포넌트가 사용되는 페이지에서 적용하는 방법입니다.</p>
						<pre class="prettyprint">
window.onload = function () {
  // CreateDEXTUploadNX_Operator 함수가 실행되기 전에
  // SetNXLocaleXMLFileURL 함수를 호출하여 언어 리소스를 교체합니다.
  // 주의) 언어 리소스 파일명은 정해진 규칙이 없습니다.
  SetNXLocaleXMLFileURL("http://~/NXMessage_해당언어.xml");
  
  CreateDEXTUploadNX_Operator({
    ...
  });	
};</pre>
						<p class="notice">제품은 한글 리소스만을 제공하며, 영문 혹은 타 언어로 작성된 리소스 파일은 제공하지 않습니다.</p>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>샘플은 리스트 화면의 헤더만 영문으로 교체된 리소스 파일을 사용합니다.</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>