<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>
		window.onload = function () {
			prettyPrint();
			
			SetNXScriptVersion("100.100.100.100");
			SetNXInstallPageURI("");
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXAlert(id, "DEXTUploadNX가 로드되었습니다.");
					},
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					}
				}
			});
		};
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-etc">기타</a> &gt; 예제 2</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 2. 설치 페이지 자동 이동 금지하기</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>DEXTUploadNX 제품은 기능이 추가되거나 버그 패치를 하는 과정에서 버전이 올라갑니다.</p>
						<p>현재 사용자 PC에 제품(DEXTUploadNX_Client_Installer.exe)이 설치되지 않거나</p>						
						<p>설치된 제품의 버전이 DEXTUploadNX.js 파일의 버전보다 이전 버전이라면 설치페이지로 자동으로 이동됩니다.</p>
						<pre class="prettyprint">
// 버전 입력(임의로 수정하여 일치하지 않는 경우 Client 설치가 계속 발생할 수 있습니다.)
var vDEXTUploadNX_Version = "1.0.8.0";</pre>
						<p>현재 이 페이지 소스 상단에는 강제로 버전을 "100.100.100.100"으로 명기하였습니다.</p>
						<p>그러므로 이 설명이 보이는 것이 아니라 설치 페이지도 이동이 되어야 하는데, 그렇지 않은 이유는</p>
						<p>SetNXInstallPageURI 자바스크립트 함수를 사용하여 설치 페이지 URL을 제거했기 때문입니다.</p>
						<pre class="prettyprint">
window.onload = function () {
  // 테스트를 위하여 버전을 강제로 올립니다.
  // 현재 설치된 제품의 버전보다 높기 때문에 설치 페이지로 이동해야 합니다.
  SetNXScriptVersion("100.100.100.100");
  // 설치 페이지 경로를 제거하여 설치 페이지로 바로 이동하는 현상을 없앴을 수 있습니다.
  // 추가로 파라미터에 다른 경로("http://www.dextsolution.com")를 입력하면 해당 경로로 이동이 되니 참고하시길 바랍니다.
  SetNXInstallPageURI("");
  
  CreateDEXTUploadNX_Operator({
    ...
  });	
};</pre>
						<p>새로운 제품(버전이 변경된)으로 교체를 하는 경우에는 반드시 DEXTUploadNX.js 파일에서</p>
						<p>버전 부분을 변경해주어야 사용자 PC에 새 컴포넌트로 교체할 수 있도록 전파가 가능합니다.</p>
						<p>주의) 만일 스크립트 상의 버전이 제품의 실제 버전보다 낮은 경우에는 설치 페이지로 이동하지 않고 설치된 상위버전 제품이 그대로 사용됩니다.</p>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>