<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>
		var promptForAdding = true;
		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddUpItemVirtualFile("VF1", "가상파일1.avi", "", 100000, false);
						NXOperators[id].AddUpItemVirtualFile("VF2", "가상파일2.avi", "", 100200, false);
						NXOperators[id].AddUpItemVirtualFile("VF3", "가상파일3.avi", "", 100300, false);
						NXOperators[id].AddUpItemVirtualFile("VF4", "가상파일4.avi", "", 100400, false);
						NXOperators[id].AddUpItemVirtualFile("VF5", "가상파일5.avi", "", 100500, false);
					 	// 에러 메시지 발생 후 추가되지 않습니다.
						NXOperators[id].AddUpItemVirtualFile("", "가상파일6.avi", "", 100600, false);
						NXOperators[id].AddUpItemVirtualFile("VF7", "가상파일7.avi", "", 100700, true);
					},
					OnNXOperatorEventAddItem: function (id, optype, itemType, itemIndex) {
						if (promptForAdding == true) {
							promptForAdding = NXConfirm(id, "형식: " + itemType + ", 순서: " + itemIndex + " 인 대상이 추가되고 있습니다.\n계속 보시겠습니까?");
						}
					},
					OnNXOperatorEventDeleteItem: function (id, optype, itemType, itemIndex) {
						if (promptForAdding == true) {
							promptForAdding = NXConfirm(id, "형식: " + itemType + ", 순서: " + itemIndex + " 인 대상이 삭제되고 있습니다.\n계속 보시겠습니까?");
						}
						
						if (itemType == "UP_VirtualFile") {
							var item = NXOperators[id].Item(itemIndex);
							document.getElementById("deleted-files").options.add(new Option(item.FileTitle, item.VirtualFileIndex));
						}
					}
				}
			});
		};
		
		function rollbackDeletedVirtualFile() {
			var selObj = document.getElementById("deleted-files");
			if (selObj.value) {
				NXOperators["dextnx"].UndoDeleteVirtualFile(selObj.value);
				selObj.options.remove(selObj.selectedIndex);
			}
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-upload">파일 업로드</a> &gt; 예제 4</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 4. 가상 파일 추가/삭제/원복</div>
				<dl>
					<dt>설명</dt>
					<dd>						
						<p>가상 파일이란 2번 예제를 통하여 등록된 파일(사용자 로컬 PC에 존재하는)이 아닌 실체가 없는 가상의 파일을 말합니다.
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  NXEventFunctions: {
    OnNXOperatorEventCreateComplete: function (id, optype) {
      // OnNXOperatorEventCreateComplete 이벤트 호출 시점에 
      // AddUpItemVirtualFile 메소드를 사용하여 가상 파일을 등록합니다.
      // 사용법: AddUpItemVirtualFile(가상파일인덱스, 파일명, 웹경로, 파일크기, 마지막파일인지여부)
      // 가상파일 인덱스는 고정된 형식(숫자가 아닙니다.)이 없습니다. 
      // 다만 중복이 되지 않도록 지정하면 됩니다. 일반적으로 데이터베이스 상의 키 값을 사용합니다.
      // 파일 크기는 바이트 값이며, 반드시 등록해야 합니다.
      // 웹경로는 옵션으로써 주어진 경로가 없다면 빈 문자열로 등록하면 됩니다.
      NXOperators[id].AddUpItemVirtualFile("VF1", "가상파일1.avi", "", 100000, false);
      NXOperators[id].AddUpItemVirtualFile("VF2", "가상파일2.avi", "", 100200, false);
      NXOperators[id].AddUpItemVirtualFile("VF3", "가상파일3.avi", "", 100300, false);
      NXOperators[id].AddUpItemVirtualFile("VF4", "가상파일4.avi", "", 100400, false);
      NXOperators[id].AddUpItemVirtualFile("VF5", "가상파일5.avi", "", 100500, false);
      // 인덱스를 올바르게 입력하지 않아 에러 메시지가 발생하며 추가되지 않습니다.
      NXOperators[id].AddUpItemVirtualFile("", "가상파일6.avi", "", 100600, false);
      // 마지막으로 추가되는 가상 파일은 AddUpItemVirtualFile 메소드의 마지막 파라미터를 true로 주어야 합니다.
      NXOperators[id].AddUpItemVirtualFile("VF7", "가상파일7.avi", "", 100700, true);
    },
    ...
  }
});</pre>
					<p>가상 파일을 삭제한 경우, 가상 파일의 인덱스를 사용하여 복원이 가능합니다.</p>
					<pre class="prettyprint">
// 가상 파일의 인덱스로부터 삭제된 대상을 복원할 수 있습니다.
dextnxObj.UndoDeleteVirtualFile(가상 파일의 인덱스);</pre>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>파일 리스트에서 파일을 선택하고 delete 키로 삭제를 하면 아래 드롭다운리스트에 삭제된 가상 파일 정보가 추가됩니다.</p>
						<p>
							<select id="deleted-files"></select>
							<input type="button" value="파일 원복" onclick="rollbackDeletedVirtualFile();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>