<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>
		var promptForAdding = true;
		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddUpItemVirtualFile("VF1", "가상파일1.avi", "", 100000, false);
						NXOperators[id].AddUpItemVirtualFile("VF2", "가상파일2.avi", "", 100200, false);
						NXOperators[id].AddUpItemVirtualFile("VF3", "가상파일3.avi", "", 100300, true);
					},
					OnNXOperatorEventUploadStartTotal: function (id, optype) {
						NXAlert(id, "업로드를 시작합니다.");
					},
					OnNXOperatorEventUploadCompleteTotal: function (id, optype) {
					    var resObj = NXOperators[id].Responses;
					    var responseData = "";
					    for (var i = 0; i < resObj.Count; i++) {
					        responseData += (i == 0) ? resObj.Item(i) : "\n" + resObj.Item(i);
					    }
					    
					    NXAlert(id, "업로드가 완료되었습니다.\n\n서버로부터 받은 응답 데이터\n" + responseData);
					},
					OnNXOperatorEventUploadCancel: function (id, optype) {
						NXAlert(id, "업로드가 중지되었습니다.");
					}
				}
			});
		};
		
		function showFileDialog() {
			NXOperators["dextnx"].OpenFileDialog();
		}
		
		function showFolderDialog() {
			NXOperators["dextnx"].OpenFolderDialog();
		}
		
		function uploadFiles() {
			NXOperators["dextnx"].UploadURL = "http://" + location.host + "/sample.nxnj/service/defaultupload.do";
			NXOperators["dextnx"].UploadStart();
		}
		
		function stopUploading() {
			NXOperators["dextnx"].UploadStop();
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-upload">파일 업로드</a> &gt; 예제 5</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 5. 게시판 수정 모드</div>
				<dl>
					<dt>설명</dt>
					<dd>
						<p>게시판처럼 게시물을 수정하는 화면에서 앞서 첨부(업로드)된 파일을 파일 리스트에 보여줘야할 상황이 있습니다.</p>
						<p>파일 리스트에는 이미 업로드된 파일을 표현하기 위한 파일 항목을 등록할 수 있어야 하며, 필요에 따라 대상 파일을 삭제하는 경우</p>
						<p>서버(백엔드)로 삭제된 파일이 무엇인지 정보를 전달해야 합니다.</p>
						<p>DEXTUploadNX에서 가상 파일을 사용하여 이미 업로드된 파일을 표현하거나,</p>
						<p>가상 파일을 삭제하는 경우 서버에 존재하는 실제 파일을 삭제할 수 있도록 서버(백엔드)로 삭제된 가상 파일의 인덱스 정보를 전달합니다.</p>
						<p>&nbsp;</p>
						<p>다음은 서버 측 코드에서 데이터를 처리하는 방법입니다.</p>   
						<pre class="prettyprint">
// DEXTUploadNX는 'DEXTUploadNX_Virtual' 이름으로 가상 파일의 인덱스 정보를 서버로 전달합니다.
// DEXTUploadNXRequest 객체의 getVirtualFileIds 메소드로부터 정보를 얻습니다.
for (String vid : nx.getVirtualFileIds()) {
  ...
}	

// DEXTUploadNX는 'DEXTUploadNX_VirtualDeleted' 이름으로 삭제된 가상 파일의 인덱스 정보를 서버로 전달합니다.
// DEXTUploadNXRequest 객체의 getVirtualDeletedFileIds 메소드로부터 정보를 얻습니다.
for (String vid : nx.getVirtualDeletedFileIds()) {
  ...
}</pre>
					</dd>
					<dt>과정</dt>
					<dd>
						<div class="diagrambg">
							<div class="diagram-upload-flow">
								<a class="shape"><span class="head">Page</span><span class="target">upload/example.do?index=0005</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">Post</span></a>					
								<a class="shape"><span class="head">FileServiceController</span><span class="target">service/defaultupload.do</span><span class="comment">전송 처리</span></a>
							</div>
						</div>
					</dd>			
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>
							<input type="button" value="파일 다이얼로그" onclick="showFileDialog();"/>
							<input type="button" value="폴더 다이얼로그" onclick="showFolderDialog();"/>
						</p>
						<p>&nbsp;</p>
						<p>백엔드 제한: 개별 파일이 300MB가 넘거나, 전체 파일의 크기가 500MB가 넘는다면 업로드가 실패(오류발생)합니다.</p>
						<p>백엔드 제한: jpg,gif,png,doc,xls,ppt,docx,xlsx,pptx,pdf,txt,zip,7z,hwp  만 허용합니다.</p>
						<p>
							<input type="button" value="업로드 시작" onclick="uploadFiles();"/>
							<input type="button" value="업로드 중지" onclick="stopUploading();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>