<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXAlert(id, "DEXTUploadNX가 로드되었습니다.");
					}
				}
			});
		};
		
		function showFileDialog() {
			NXOperators["dextnx"].OpenFileDialog();
		}		
		
		function uploadFiles() {
			var msg = window.showModalDialog("/sample.nxnj/upload/example.do?index=0011-modal", window, "dialogWidth:500px;dialogHeight:300px;status:no;toolbar:no;menubar:no;location:no");
			if (msg) {
				alert(msg);
			}
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-upload">파일 업로드</a> &gt; 예제 11</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 11. 매니저와 모니터 연동 업로드(IE 전용)</div>
				<dl>
					<dt>설명</dt>
					<dd>
						<p>IE 브라우저만 사용하는 경우 window.open 대신에 window.showModalDialog를 사용할 수 있습니다.</p>
						<p>showModalDialog는 크롬 브라우저에서도 잠시 지원했지만, 현재는 지원이 되지 않으므로 크로스 브라우징에 적합하지 않습니다.</p>
						<pre class="prettyprint">
// 버튼이 클릭되면 팝업 페이지를 호출합니다.
var msg = window.showModalDialog("/sample.nxnj/upload/example.do?index=0011-modal", window, "dialogWidth:500px;dialogHeight:300px; ...");
if (msg) {
  alert(msg);
}
</pre>
						<p>업로드 모니터가 사용되는 팝업 페이지에서는 컴포넌트를 업로드 모니터로 설정을 하고,</p>
						<p>컴포넌트가 로드되면 부모 창으로부터 업로드할 파일 정보를 넘겨 받습니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  // 업로드 모니터로 설정합니다.
  Operator_Type: "UPLOAD_MONITOR",
  NXEventFunctions: {
    OnNXOperatorEventCreateComplete: function (id, optype) {
      // showModalDialog의 경우 window.dialogArguments로부터 넘겨받은 객체를 얻을 수 있습니다.
      NXOperators[id].UpItems = window.dialogArguments.NXOperators["dextnx"].UpItems;
      // 목록 설정이 완료되면 1초후 업로드를 시작합니다.
      setTimeout(function () {
        NXOperators[id].UploadURL = "http://" + location.host + "/sample.nxnj/service/simpleupload.do";
        NXOperators[id].UploadStart();
      }, 1000);
    }
    ...
  }
});</pre>
					</dd>
					<dt>과정</dt>
					<dd>
						<div class="diagrambg">
							<div class="diagram-upload-flow">
								<a class="shape"><span class="head">Page</span><span class="target">upload/example.do?index=0011</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">window.showModalDialog</span></a>
								<a class="shape"><span class="head">Page(Pop up)</span><span class="target">upload/example.do?index=0011-modal</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">Post</span></a>
								<a class="shape"><span class="head">FileServiceController</span><span class="target">service/simpleupload.do</span><span class="comment">전송 처리</span></a>
							</div>
						</div>
					</dd>			
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>
							<input type="button" value="파일 다이얼로그" onclick="showFileDialog();"/>
						</p>
						<p>&nbsp;</p>
						<p>백엔드 제한: 개별 파일이 300MB가 넘거나, 전체 파일의 크기가 500MB가 넘는다면 업로드가 실패(오류발생)합니다.</p>
						<p>백엔드 제한: jpg,gif,png,doc,xls,ppt,docx,xlsx,pptx,pdf,txt,zip,7z,hwp  만 허용합니다.</p>
						<p>
							<input type="button" value="업로드 시작" onclick="uploadFiles();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>