<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXAlert(id, "DEXTUploadNX가 로드되었습니다.");
					},
					OnNXOperatorEventUploadStartTotal: function (id, optype) {
						NXAlert(id, "업로드를 시작합니다.");
					},
					OnNXOperatorEventUploadCompleteTotal: function (id, optype) {
					    var resObj = NXOperators[id].Responses;
					    var responseData = "";
					    for (var i = 0; i < resObj.Count; i++) {
					        responseData += (i == 0) ? resObj.Item(i) : "\n" + resObj.Item(i);
					    }
					    
					    NXAlert(id, "업로드가 완료되었습니다.\n\n서버로부터 받은 응답 데이터\n" + responseData);
					},
					OnNXOperatorEventUploadCancel: function (id, optype) {
						NXAlert(id, "업로드가 중지되었습니다.");
					}
				}
			});
		};
		
		function showState() {
			
			var outHtml = "";

			outHtml += "<p>현재 파일: " + NXOperators["dextnx"].US_CurrentFileTitle + "</p>";
			outHtml += "<p>속도: " + NXOperators["dextnx"].US_Speed + "</p>";
			outHtml += "<p>완료/전체: " + NXOperators["dextnx"].US_Completecount + " / " + NXOperators["dextnx"].US_TotalCount + "</p>";
			outHtml += "<p>현재 파일 진행률: " + NXOperators["dextnx"].US_CurrentRate + "%" + "</p>";
			outHtml += "<p>현재 파일 전송크기/파일크기: " + NXOperators["dextnx"].US_CurrentSendSize + " / " + NXOperators["dextnx"].US_CurrentSize + "</p>";
			outHtml += "<p>현재 파일 진행시간/남은시간: " + NXOperators["dextnx"].US_CurrentTime + " / " + NXOperators["dextnx"].US_CurrentRemainTime + "</p></p>";
			outHtml += "<p>전체 진행률: " + NXOperators["dextnx"].US_TotalRate + " %" + "</p>";
			outHtml += "<p>전체 전송크기 / 전체 파일 크기: " + NXOperators["dextnx"].US_TotalSendSize + " / " + NXOperators["dextnx"].US_TotalSize + "</p>";
			outHtml += "<p>전체 진행시간/남은시간: " + NXOperators["dextnx"].US_TotalTime + " / " + NXOperators["dextnx"].US_TotalRemainTime + "</p>";

			document.getElementById("out-state").innerHTML = outHtml;
			
			setTimeout(showState, 500);
		}
		
		function showFileDialog() {
			NXOperators["dextnx"].OpenFileDialog();
		}
		
		function uploadFiles() {
			NXOperators["dextnx"].UploadURL = "http://" + location.host + "/sample.nxnj/service/simpleupload.do";
			NXOperators["dextnx"].UploadStart();
			
			showState();
		}
		
		function stopUploading() {
			NXOperators["dextnx"].UploadStop();
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-upload">파일 업로드</a> &gt; 예제 14</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 14. 업로드 상태 정보 갱신(타이머 방식)</div>
				<dl>
					<dt>설명</dt>
					<dd>
						<p>파일을 업로드를 수행하는 과정에서 업로드 상태를 확인하는 예제입니다.</p>
						<p>DEXTUploadNX의 업로드 매니저 객체는 현재 업로드 상태 정보를 나타내는 속성을 가지고 있습니다.</p>
						<p>자바스크립트의 setTimeout 함수를 사용하여 주기적으로 갱신된 상태 정보를 확인할 수 있습니다.</p>
						<pre class="prettyprint">
// 전체 전송률 반환 숫자
dextnxObj.US_TotalRate;
// 현재 전송률 반환 숫자
dextnxObj.US_CurrentRate;
// 전체 업로드 갯수 반환 숫자
dextnxObj.US_TotalCount;
// 완료된 업로드 갯수 반환 숫자
dextnxObj.US_Completecount;
// 전체 전송 시간 반환 문자열
dextnxObj.US_TotalTime;
// 현재 전송 시간 반환 문자열
dextnxObj.US_CurrentTime;
// 전체 전송 남은 시간 반환 문자열
dextnxObj.US_TotalRemainTime;
// 현재 전송 남은 시간 반환 문자열
dextnxObj.US_CurrentRemainTime;
// 전체 크기 반환 숫자
dextnxObj.US_TotalSize;
// 전체 전송 크기 반환 숫자
dextnxObj.US_TotalSendSize;
// 현재 크기 반환 숫자
dextnxObj.US_CurrentSize;
// 현재 전송 크기 반환 숫자
dextnxObj.US_CurrentSendSize;
// 현재 전송 중인 파일 이름 반환
dextnxObj.US_CurrentFileTitle;</pre>
					</dd>
					<dt>과정</dt>
					<dd>
						<div class="diagrambg">
							<div class="diagram-upload-flow">
								<a class="shape"><span class="head">Page</span><span class="target">upload/example.do?index=0014</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">Post</span></a>					
								<a class="shape"><span class="head">FileServiceController</span><span class="target">service/simpleupload.do</span><span class="comment">전송 처리</span></a>
							</div>
						</div>
					</dd>			
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>
							<input type="button" value="파일 다이얼로그" onclick="showFileDialog();"/>
						</p>
						<p>&nbsp;</p>
						<p>백엔드 제한: 개별 파일이 300MB가 넘거나, 전체 파일의 크기가 500MB가 넘는다면 업로드가 실패(오류발생)합니다.</p>
						<p>백엔드 제한: jpg,gif,png,doc,xls,ppt,docx,xlsx,pptx,pdf,txt,zip,7z,hwp  만 허용합니다.</p>
						<p>
							<input type="button" value="업로드 시작" onclick="uploadFiles();"/>
							<input type="button" value="업로드 중지" onclick="stopUploading();"/>
						</p>
						<div id="out-state"></div>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>