<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddUpItemVirtualFile("VF1", "첨부파일_이미지.gif", "http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF1", 10172, false);
						NXOperators[id].AddUpItemVirtualFile("VF2", "첨부파일_텍스트.txt", "http://" + location.host + "/sample.nxnj/service/targetdownload.do?key=VF2", 339 , true);
					},
					OnNXOperatorEventItemDbClick: function (id, optype, itemType, itemIndex)  {
						NXOperators[id].ExecuteItem(itemIndex, true, "");
					}
				}
			});
		};
		
		function showFileDialog() {
			NXOperators["dextnx"].OpenFileDialog();
		}
		
		function executeFile() {
			var size = NXOperators["dextnx"].UpItems.Count;			
			
			for (var i = 0; i < size; i++) {
				if (NXOperators["dextnx"].IsSelectedItem(i) == true) {
					NXOperators["dextnx"].ExecuteItem(i, true, "");
					
					return;
				}
			}
			
			alert("파일이 없거나 선택된 항목이 없습니다.");
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-upload">파일 업로드</a> &gt; 예제 16</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 16. 파일 실행</div>
				<dl>
					<dt>설명</dt>
					<dd>						
						<p>가상 파일을 등록할 때, AddUpItemVirtualFile 메소드의 세번째 파라미터 값은 URL을 입력 받습니다.</p>
						<p>이 URL은 가상 파일을 가리키는 대상을 다운로드할 수 있는 경로이며, 이 경로를 설정했을 때,</p>
						<p>파일 업로드 매니저에서는 대상 파일을 실행할 수 있습니다.</p>
						<p>(가상 파일이 아닌 로컬 파일인 경우에는 추가 경로 설정 없이 파일 실행이 가능합니다.)</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  NXEventFunctions: {
    OnNXOperatorEventCreateComplete: function (id, optype) {
      // OnNXOperatorEventCreateComplete 이벤트 호출 시점에 
      // AddUpItemVirtualFile 메소드를 사용하여 가상 파일을 등록합니다.      
      // 세번째 파라미터에 다운로드할 수 있는 웹경로를 넣을 경우 파일 실행이 가능합니다.
      NXOperators[id].AddUpItemVirtualFile("VF1", "가상파일1.avi", 웹경로, 100000, false);
      NXOperators[id].AddUpItemVirtualFile("VF2", "가상파일2.avi", 웹경로, 100200, true);
    },
    ...
  }
});</pre>
					<p>파일 실행은 ExecuteItem 메소드를 호출할 때 시작됩니다.</p>
					<pre class="prettyprint">
// 파일인덱스는 실행할 파일이 등록된 순서값이며,
// 실행 옵션은 true인 경우, 원본 파일을 실행, false 인 경우 복사본을 생성하여 실행합니다.
// 실행 파라미터는 연결된 프로그램을 통해 파일을 실행할 때, 넘겨지는 두번째 인자 값이며 일반적으로 빈문자열을 넣습니다.
// 실행되는 대상이 로컬 파일이 아닌 가상 파일이라면 두번째 실행 옵션은 무시되며 항상 복사본으로 실행됩니다.
dextnxObj.ExecuteItem(파일인덱스번호, 실행옵션, 실행파라미터);</pre>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>
							<input type="button" value="파일 다이얼로그" onclick="showFileDialog();"/>
						</p>
						<p>&nbsp;</p>
						<p>리스트에 등록된 파일을 더블 클릭하여 파일을 실행할 수 있습니다.</p>
						<p>더불어 현재 선택된 파일을 버튼을 사용하여 실행할 수 도 있습니다.</p>
						<p>
							<input type="button" value="선택 파일 실행" onclick="executeFile();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>