<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXAlert(id, "DEXTUploadNX가 로드되었습니다.");
					}
				}
			});
		};
		
		function showFileDialog() {
			NXOperators["dextnx"].OpenFileDialog();
		}
		
		function showFolderDialog() {
			NXOperators["dextnx"].OpenFolderDialog();
		}
		
		function renameFileDialog() {
			var name = document.getElementById("txtFileDlgName").value;
			if (name) {
				NXOperators["dextnx"].FileDialogTitle = name;
				document.getElementById("txtFileDlgName").value = "";
			} else {
				alert("이름을 올바르게 입력하세요.");
			}
		}
		
		function renameFolderDialog() {
			var name = document.getElementById("txtFolderDlgName").value;
			if (name) {
				NXOperators["dextnx"].FolderDialogTitle  = name;
				document.getElementById("txtFolderDlgName").value = "";
			} else {
				alert("이름을 올바르게 입력하세요.");
			}
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-upload">파일 업로드</a> &gt; 예제 17</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 17. 파일/폴더 다이얼로그 타이틀 변경</div>
				<dl>
					<dt>설명</dt>
					<dd>						
						<p>파일 또는 폴더를 추가할 때 사용되는 다이얼로그 창의 이름을 변경할 수 있습니다.</p>
						<p>FileDialogTitle 속성과 FolderDialogTitle 속성을 사용하여 변경이 가능합니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  // 파일 다이얼로그 창의 제목을 변경합니다.
  FileDialogTitle: "파일다이얼로그이름",
  // 폴더 다이얼로그 창의 제목을 변경합니다.
  FolderDialogTitle: "폴더다이얼로그이름",
  NXEventFunctions: {
    ...
  }
});</pre>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>
							<input type="button" value="파일 다이얼로그" onclick="showFileDialog();"/>
							<input type="button" value="폴더 다이얼로그" onclick="showFolderDialog();"/>
						</p>
						<p>&nbsp;</p>
						<p>파일 또는 폴더 다이얼로그 이름을 변경한 후, 위의 다이얼로그 버튼을 클릭해보세요.</p>
						<p>
							파일 다이얼로그: 
							<input type="text" id="txtFileDlgName"/>
							<input type="button" value="파일 다이얼로그 제목 변경" onclick="renameFileDialog();"/>
						</p>
						<p>
							폴더 다이얼로그: 
							<input type="text" id="txtFolderDlgName"/>
							<input type="button" value="폴더 다이얼로그 제목 변경" onclick="renameFolderDialog();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>