<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddUpItemVirtualFile("VF1", "가상파일1.avi", "", 100000, false);
						NXOperators[id].AddUpItemVirtualFile("VF2", "가상파일2.avi", "", 100200, false);
						NXOperators[id].AddUpItemVirtualFile("VF3", "가상파일3.avi", "", 100300, false);
						NXOperators[id].AddUpItemVirtualFile("VF4", "가상파일4.avi", "", 100400, false);
						NXOperators[id].AddUpItemVirtualFile("VF5", "가상파일5.avi", "", 100500, true);
					}
				}
			});
		};
		
		function showFileDialog() {
			NXOperators["dextnx"].OpenFileDialog();
		}
		
		function sortPriorityVirtual(priority) {
			NXOperators["dextnx"].SortPriorityVirtualFile = priority;
		}
		
		function sortAuto(sortType) {
			NXOperators["dextnx"].ListViewAutoSortType  = sortType;
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-upload">파일 업로드</a> &gt; 예제 20</div>
		<div id="MainCenter">
			<article>
				<div class="exTit">예제 20. 파일 항목 정렬</div>
				<dl>
					<dt>설명</dt>
					<dd>						
						<p>스크립트를 사용하여 기본적으로 사용할 정렬 기준을 설정할 수 있습니다.</p>
						<pre class="prettyprint">
// 정렬시 가상 파일을 우선으로하여 정렬합니다.
dextnxObj.SortPriorityVirtualFile = true;

// 주어진 타입에 따라 정렬(파일 이름)을 수행합니다.
// 0:정렬 안함, 1:오름차순, 2:내림차순
dextnxObj.ListViewAutoSortType = 0;</pre> 
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>
							<input type="button" value="파일 다이얼로그" onclick="showFileDialog();"/>
						</p>
						<p>&nbsp;</p>
						<p>가상 파일을 우선으로하여 정렬을 수행할 수 있습니다.</p>
						<p>
							<input type="radio" name="rdoSortVirtual" onclick="sortPriorityVirtual(true);"/><label>가상 파일 우선</label>
							<input type="radio" name="rdoSortVirtual" onclick="sortPriorityVirtual(false);" checked="checked"/><label>우선 처리하지 않음</label>
						</p>
						<p>&nbsp;</p> 
						<p>파일 추가시 자동 정렬을 수행합니다.</p>
						<p>							
							<input type="radio" name="rdoAutoSort" onclick="sortAuto(0);" checked="checked"/><label>정렬 안함</label>
							<input type="radio" name="rdoAutoSort" onclick="sortAuto(1);"/><label>오름차순 자동 정렬</label>
							<input type="radio" name="rdoAutoSort" onclick="sortAuto(2);"/><label>내림차순 자동 정렬</label>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>