<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXOperators[id].AddUpItemVirtualFile("VF1", "가상파일1.avi", "", 100000, false);
						NXOperators[id].AddUpItemVirtualFile("VF2", "가상파일2.avi", "", 100200, true);
					}
				}
			});
		};
		
		function showFileDialog() {
			NXOperators["dextnx"].OpenFileDialog();
		}
		
		function showFolderDialog() {
			NXOperators["dextnx"].OpenFolderDialog();
		}
		
		function showListStatus() {
			var allCnt = NXOperators["dextnx"].Count;
			var fileCnt = NXOperators["dextnx"].ItemCntFile;
			var folderCnt = NXOperators["dextnx"].ItemCntFolder;
			var virtualCnt = NXOperators["dextnx"].ItemCntVirtualFile;			
			var deletedCnt = NXOperators["dextnx"].ItemCntDeletedVirtualFile;
			
			alert(
				"전체 항목 수 = " + allCnt + "\n" +
				"파일 수 = " + fileCnt + "\n" +
				"폴더 수 = " + folderCnt + "\n" +
				"가상 파일 수 = " + virtualCnt + "\n" +
				"삭제된 가상 파일 수 = " + deletedCnt);
		}
		
		function showItemInfo() {
			var index = document.getElementById("txtItemIndex").value;
			if (index && isNaN(index) == false) {
				var item = NXOperators["dextnx"].Item(parseInt(index));
				if (item) {
					var msg = "" +
						"유일키 = " + item.ItemUniqID + "\n" +	
						"타입 = " + item.ItemType + "\n" +
						"이름 = " + item.FileTitle + "\n" +						
						"경로 = " + item.FilePath + "\n" +
						"중간경로 = " + item.MiddlePath + "\n" +
						"폴더이름 = " + item.FolderTitle + "\n" +
						"폴더경로 = " + item.FolderPath + "\n" +
						"가상파일인덱스 = " + item.VirtualFileIndex + "\n" +
						"가상파일경로 = " + item.VirtualFileURL + "\n" +
						"크기 = " + item.Size + "\n" +
						"이미지가로길이 = " + item.ImageWidth + "\n" +
						"이미지세로길이 = " + item.ImageHeight;
						
					alert(msg);
				}
				document.getElementById("txtItemIndex").value = "";
			} else {
				alert("항목의 인덱스(0부터 시작)를 입력하세요.");
			}
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-upload">파일 업로드</a> &gt; 예제 21</div>
		<div id="MainCenter">
			<article>
				<div class="exTit">예제 21. 파일 항목 정보 확인</div>
				<dl>
					<dt>설명</dt>
					<dd>						
						<p>리스트에 등록된 항목에 대한 상세 속성 값을 스크립트로 얻어낼 수 있습니다.</p>
						<p>선택된 혹은 인덱스에 해당하는 항목 객체를 얻은 후, 해당 객체의 속성으로부터 접근이 가능합니다.</p>
						<pre class="prettyprint">
// 내부적으로 사용되는 항목의 유일키입니다.
var uniqueId = item.ItemUniqID;
// 항목을 구분 짓는 구분값입니다.
// 파일인 경우 FILE, SUBFILE
// 폴더인 경우 FOLDER
// 가상 파일인 경우 VIRTUAL_FILE
var type = item.ItemType;
// 대상이 FILE, SUBFILE, VIRTUAL_FILE인 경우 파일명을 나타냅니다.
var fileName = item.FileTitle;
// 대상이 FILE, SUBFILE인 경우 로컬 파일 경로를 나타냅니다.
var filePaht = item.FilePath;
// 대상이 SUBFILE인 경우 선택된 폴더(포함)의 상대 부모 폴더 경로를 나타냅니다.
var subPath = item.MiddlePath;
// 대상이 FOLDER인 경우 폴더 이름을 나타냅니다.
var folderName = item.FolderTitle;
// 대상이 FOLDER인 경우 폴더 경로를 나타냅니다.
var folderPath = item.FolderPath;
// 대상이 VIRTUAL_FILE인 경우 가상 파일 인덱스를 나타냅니다.
var virtualIndex = item.VirtualFileIndex;
// 대상이 VIRTUAL_FILE인 경우 가상 파일의 경로를 나타냅니다.
var virtualUrl = item.VirtualFileURL;
// 파일의 크기를 나타냅니다.
var size = item.Size;</pre> 
						<p>항목의 Alias, User Data, EXIF 속성은 앞선 예제들을 참고하시길 바랍니다.</p>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>
							<input type="button" value="파일 다이얼로그" onclick="showFileDialog();"/>
							<input type="button" value="폴더 다이얼로그" onclick="showFolderDialog();"/>
						</p>
						<p>&nbsp;</p>
						<p>리스트에 등록된 항목에 대한 정보를 확인할 수 있습니다.</p>
						<p>
							<input type="button" value="정보 보기" onclick="showListStatus();"/>
						</p>
						<p>&nbsp;</p> 
						<p>특정 항목에 대한 전체 속성을 확인합니다.</p>
						<p>
							항목 인덱스(순서)
							<input type="text" id="txtItemIndex"/>
							<input type="button" value="정보 보기" onclick="showItemInfo();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>