<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>
		var eventSelection = false;
		var eventClick = false;
		var eventDbClick = false;
	
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXAlert(id, "DEXTUploadNX가 로드되었습니다.");
					},
					OnNXOperatorEventItemSelected: function (id, optype, itemIndex) {
						if (eventSelection) {
							NXAlert(id, "항목 선택 이벤트 발생: " + itemIndex);
						}
					},
					OnNXOperatorEventItemClick: function (id, optype, itemType, itemIndex) {
						if (eventClick) {
							NXAlert(id, "항목 클릭 이벤트 발생: " + itemIndex);
						}
					},
					OnNXOperatorEventItemDbClick: function (id, optype, itemType, itemIndex)  {
						if (eventDbClick) {
							NXAlert(id, "항목 더블 클릭 이벤트 발생: " + itemIndex);
						}
					}
				}
			});
		};
		
		function showFileDialog() {
			NXOperators["dextnx"].OpenFileDialog();
		}
		
		function toggleEvent(evType) {
			eventSelection = false;
			eventClick = false;
			eventDbClick = false;
			
			switch (evType) {
			case 0: eventSelection = true; break;
			case 1: eventClick = true; break;
			case 2: eventDbClick = true; break;
			}
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-upload">파일 업로드</a> &gt; 예제 23</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 23. 파일 항목 선택/클릭/더블클릭 이벤트</div>
				<dl>
					<dt>설명</dt>
					<dd>						
						<p>DEXTUploadNX는 항목에 대한 선택/클릭/더블클릭 이벤트를 제공합니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  NXEventFunctions: {
    OnNXOperatorEventItemSelected: function (id, optype) {
      // 항목이 선택되면 이벤트가 발생합니다.
      // 마우스 선택 또는 키보드 방향키 이동시 발생합니다.
    },
    OnNXOperatorEventItemClick: function (id, optype, itemType, itemIndex) {
      // 마우스로 항목을 선택(클릭)하면 이벤트가 발생합니다.
    },
    OnNXOperatorEventItemDbClick: function (id, optype, itemType, itemIndex) {
      // 마우스로 항목을 더블 클릭하면 이벤트가 발생합니다.
    },
    ...
  }
});</pre>
						<p>일반적으로 더블 클릭 이벤트의 경우에는 클릭 이벤트와 선택 이벤트 모두 함께 발생합니다.</p>
						<p>더불어 클릭 이벤트의 경우에는 선택 이벤트와 함께 발생합니다.</p>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>
							<input type="button" value="파일 다이얼로그" onclick="showFileDialog();"/>
						</p>
						<p>&nbsp;</p>
						<p>기본적으로 발생 이벤트를 확인하지 못하도록 설정되어 있습니다.</p>
						<p>아래의 세가지 경우 중 하나를 선택하면 대상 이벤트만 발생여부를 확인할 수 있습니다.</p>
						<p>
							<input type="radio" name="rdoEvent" onclick="toggleEvent(0);"/><label>선택 이벤트</label>
							<input type="radio" name="rdoEvent" onclick="toggleEvent(1);"/><label>클릭 이벤트</label>
							<input type="radio" name="rdoEvent" onclick="toggleEvent(2);"/><label>더블 클릭 이벤트</label>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>