<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>
		var promptForAdding = true;
		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				EnableCompress: true,
				CompressType: "zip",
				AutoDeleteCompressFile: true,
				ShowCompressFile: true,
				CompressLevel: -1,
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXAlert(id, "DEXTUploadNX가 로드되었습니다.");
					},
					OnNXOperatorEventUploadStartTotal: function (id, optype) {
						NXAlert(id, "업로드를 시작합니다.");
					},
					OnNXOperatorEventUploadCompleteTotal: function (id, optype) {
					    var resObj = NXOperators[id].Responses;
					    var responseData = "";
					    for (var i = 0; i < resObj.Count; i++) {
					        responseData += (i == 0) ? resObj.Item(i) : "\n" + resObj.Item(i);
					    }
					    
					    NXAlert(id, "업로드가 완료되었습니다.\n\n서버로부터 받은 응답 데이터\n" + responseData);
					},
					OnNXOperatorEventUploadCancel: function (id, optype) {
						NXAlert(id, "업로드가 중지되었습니다.");
					}
				}
			});
		};
		
		function showFileDialog() {
			NXOperators["dextnx"].OpenFileDialog();
		}
		
		function showFolderDialog() {
			NXOperators["dextnx"].OpenFolderDialog();
		}
		
		function uploadFiles() {
			NXOperators["dextnx"].UploadURL = "http://" + location.host + "/sample.nxnj/service/simpleupload.do";
			NXOperators["dextnx"].UploadStart();
		}
		
		function stopUploading() {
			NXOperators["dextnx"].UploadStop();
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-upload">파일 업로드</a> &gt; 예제 25</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 25. 압축 업로드</div>
				<dl>
					<dt>설명</dt>
					<dd>
						<p>DEXTUploadNX는 잘 알려진 압축 포맷으로 파일을 압축하여 전송이 가능합니다.</p>
						<p>지원하는 압축 포맷은 zip, 7z입니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  // 압축 기능을 사용하도록 설정합니다.
  EnableCompress: true,
  // 압축 포맷('zip', '7z')을 설정합니다. 미설정 시 'zip'으로 압축됩니다.
  CompressType: "zip",
  // 압축 과정을 보여주는 다이얼로그 창의 제목입니다.
  CompressWindowTitle: "파일을 압축합니다.",
  // 압축 파일명을 설정합니다.
  // 'your_filename'으로 설정시 'your_filename.zip'으로 생성합니다.
  CompressFileTitle: "your_filename",
  // 압축 파일이 생성될 위치를 설정합니다.
  // 기본으로 사용자 홈\문서\DEXTUploadNX\Compress 디렉터리 하위에 생성됩니다.
  // PC 보안상 디렉터리 접근이 안되는 곳에는 파일을 생성할 수 없습니다.
  CompressPath: "디렉터리 경로",
  // 파일 업로드가 완료가 되면 압축된 로컬 파일을 삭제합니다.
  AutoDeleteCompressFile: true,
  // 압축이 완료되면 생성된 압축 파일의 경로를 탐색기로 열도록 합니다.
  ShowCompressFile: true,
  // 압축 레벨입니다.
  // 'zip' 형식만 지원합니다.
  // -1: 자동, 0: 압축 없음, 1~9: 1(속도 우선) ~ 9(압축률 우선)
  CompressLevel: -1,
  NXEventFunctions: {
    ...
  }
});</pre>
						<p>압축을 하는 과정에서 발생하는 이벤트를 제공합니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  NXEventFunctions: {
    ...
    OnNXOperatorEventCompressBegin: function (id, optype) {
      // 압축을 시작할 때 호출됩니다.
    },
    OnNXOperatorEventCompressEnd: function (id, optype) {
      // 압축이 완료가 되면 호출됩니다.
    },
    OnNXOperatorEventCompressCancel: function (id, optype) {
      // 압축이 취소가 되면 호출됩니다.
    },
    OnNXOperatorEventCompressError: function (id, optype, err) {
      // 압축과정에서 오류가 발생하면 호출됩니다.
    },
    ...
  }
});</pre>
						<p>압축 작업은 파일을 등록하는 시점에만 발생합니다.</p>
						<p>압축하는 과정을 특정 시점에 하도록 제공하는 기능은 없습니다.</p>
					</dd>
					<dt>과정</dt>
					<dd>
						<div class="diagrambg">
							<div class="diagram-upload-flow">
								<a class="shape"><span class="head">Page</span><span class="target">upload/example.do?index=0025</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">Post</span></a>					
								<a class="shape"><span class="head">FileServiceController</span><span class="target">service/simpleupload.do</span><span class="comment">전송 처리</span></a>
							</div>
						</div>
					</dd>			
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>
							<input type="button" value="파일 다이얼로그" onclick="showFileDialog();"/>
							<input type="button" value="폴더 다이얼로그" onclick="showFolderDialog();"/>
						</p>
						<p>&nbsp;</p>
						<p>백엔드 제한: 개별 파일이 300MB가 넘거나, 전체 파일의 크기가 500MB가 넘는다면 업로드가 실패(오류발생)합니다.</p>
						<p>백엔드 제한: jpg,gif,png,doc,xls,ppt,docx,xlsx,pptx,pdf,txt,zip,7z,hwp  만 허용합니다.</p>
						<p>
							<input type="button" value="업로드 시작" onclick="uploadFiles();"/>
							<input type="button" value="업로드 중지" onclick="stopUploading();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>