<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>
		var promptForAdding = true;
		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				FilterWhite: "이미지파일(jpeg,jpg,jpe,png,bmp,tiff,tif)|*.jpeg;*.jpg;*.jpe*;.gif;*.bmp;*.tiff;*.tif;||",
				EnableThumbnailAutoCreate: true,
				ThumbnailWidth: 128,
				ThumbnailHeight: 128,
				ThumbnailAutoRatio: true,
				ThumbnailAutoDelete: true,
				ThumbnailVHAutoRotate: true,
				ThumbnailPathNXDefaultPath: true,
				ThumbnailPrevTitle: "DEXTNX_THUMB_",
				ThumbnailImageExt: "jpg",
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXAlert(id, "DEXTUploadNX가 로드되었습니다.");
					},
					OnNXOperatorEventUploadStartTotal: function (id, optype) {
						NXAlert(id, "업로드를 시작합니다.");
					},
					OnNXOperatorEventUploadCompleteTotal: function (id, optype) {
					    var resObj = NXOperators[id].Responses;
					    var responseData = "";
					    for (var i = 0; i < resObj.Count; i++) {
					        responseData += (i == 0) ? resObj.Item(i) : "\n" + resObj.Item(i);
					    }
					    
					    NXAlert(id, "업로드가 완료되었습니다.\n\n서버로부터 받은 응답 데이터\n" + responseData);
					},
					OnNXOperatorEventUploadCancel: function (id, optype) {
						NXAlert(id, "업로드가 중지되었습니다.");
					}
				}
			});
		};
		
		function showFileDialog() {
			NXOperators["dextnx"].OpenFileDialog();
		}
		
		function uploadFiles() {
			NXOperators["dextnx"].UploadURL = "http://" + location.host + "/sample.nxnj/service/simpleupload.do";
			NXOperators["dextnx"].UploadStart();
		}
		
		function stopUploading() {
			NXOperators["dextnx"].UploadStop();
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-upload">파일 업로드</a> &gt; 예제 26</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 26. 섬네일(Thumbnail) 자동 추가</div>
				<dl>
					<dt>설명</dt>
					<dd>
						<p>DEXTUploadNX는 이미지 파일의 경우 섬네일을 미리 생성하여 업로드 목록에 추가할 수 있습니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  // 섬네일을 자동 생성하도록 설정합니다.
  EnableThumbnailAutoCreate: true,
  // 섬네일 가로 길이(16~128)를 설정합니다.
  ThumbnailWidth: 128,
  // 섬네일 세로 길이(16~128)를 설정합니다.
  ThumbnailHeight: 128,
  // 원본 이미지의 가로/세로 비율을 그대로 유지할지 여부를 설정합니다.
  ThumbnailAutoRatio: true,
  // 업로드가 완료되면 생성된 섬네일을 삭제할지 여부를 설정합니다.
  ThumbnailAutoDelete: true,
  // EXIF데이터가 있는 경우, 데이터를 참고하여 이미지를 자동 회전할지 여부를 설정합니다.
  ThumbnailVHAutoRotate: true,
  // 생성된 섬네일을 임시로 저장할 위치를 결정합니다.
  // true인경우 DEXTUploadNX에서 결정하며, 그렇지 않은 경우, 원본 파일 위치에 생성됩니다.
  ThumbnailPathNXDefaultPath: true,
  // 섬네일 파일명의 prefix를 결정합니다.
  ThumbnailPrevTitle: "DEXTNX_THUMB_",
  // 섬네일 파일의 확장자명을 설정합니다.
  // 사용가능한 확장자명: ".jpeg",".jpg",".jpe",".png",".bmp",".sr",".ras",".tiff", ".tif"
  ThumbnailImageExt: "jpg",
  ...
  NXEventFunctions: {
    ...
    OnNXOperatorEventThumbnailError: function (id, optype, err) {
      // 섬네일 생성 과정에서 오류가 발생하면 호출됩니다.
    },
    ...
  }
});</pre>
					</dd>
					<dt>과정</dt>
					<dd>
						<div class="diagrambg">
							<div class="diagram-upload-flow">
								<a class="shape"><span class="head">Page</span><span class="target">upload/example.do?index=0026</span><span class="comment">예제 화면</span></a>
								<a class="direction"><img src="${contextPath}/common/images/arrow01.gif" alt="화살표"/><span class="comment">Post</span></a>					
								<a class="shape"><span class="head">FileServiceController</span><span class="target">service/simpleupload.do</span><span class="comment">전송 처리</span></a>
							</div>
						</div>
					</dd>			
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>DEXTUploadNX 제한: jpg,png,bmp,tiff만 등록가능합니다.</p>
						<p>
							<input type="button" value="파일 다이얼로그" onclick="showFileDialog();"/>
						</p>
						<p>&nbsp;</p>
						<p>백엔드 제한: 개별 파일이 300MB가 넘거나, 전체 파일의 크기가 500MB가 넘는다면 업로드가 실패(오류발생)합니다.</p>
						<p>백엔드 제한: jpg,gif,png,doc,xls,ppt,docx,xlsx,pptx,pdf,txt,zip,7z,hwp  만 허용합니다.</p>
						<p>
							<input type="button" value="업로드 시작" onclick="uploadFiles();"/>
							<input type="button" value="업로드 중지" onclick="stopUploading();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>