<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>
		var promptForAdding = true;
		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				ListViewEssentialColumns: "{type:title;width:0;align:left}, {type:size;width:65;align:right}, {type:status;width:65;align:center}",
				ListViewCustomColumns: "{width:65;align:left;text:확장자},{width:65;align:center;text:열2},{width:65;align:right;text:열3}",
				ListViewColumnDataAligns: "{index:0;align:center},{index:1;align:center},{index:2;align:right},{index:3;align:left},{index:4;align:left},{index:5;align:left}",
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXAlert(id, "DEXTUploadNX가 로드되었습니다.");
					},
					OnNXOperatorEventAddItem: function (id, optype, itemType, itemIndex) {
						var item = NXOperators[id].Item(itemIndex);
						NXOperators[id].SetCustomColumnText(itemIndex, 1 ,item.FileExtension);
					}
				}
			});
		};
		
		function showFileDialog() {
			NXOperators["dextnx"].OpenFileDialog();
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-upload">파일 업로드</a> &gt; 예제 29</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 29. 사용자 정의 열 설정</div>
				<dl>
					<dt>설명</dt>
					<dd>
						<p>기본적으로 제공되는 '파일이름', '크기', '상태' 열 외에 사용자 정의 열을 추가할 수 있습니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  // 기본 열에 대한 설정입니다.
  ListViewEssentialColumns: "{type:title;width:0;align:left}, {type:size;width:65;align:right}, {type:status;width:65;align:center}",
  // {}를 사용하여 하나의 사용자 정의 열을 표현합니다.
  // width는 열의 가로 길이, align은 헤더 가로 정렬, text는 헤더명입니다.
  ListViewCustomColumns: "{width:65;align:left;text:확장자},{width:65;align:center;text:열2},{width:65;align:right;text:열3}",
  // {}를 사용하여 헤더가 아닌 데이터 열의 정렬 방법를 변경할 수 있습니다.
  // index는 열의 순서, align은 정렬 방법입니다.
  ListViewColumnDataAligns: "{index:0;align:center},{index:1;align:center},{index:2;align:right},{index:3;align:left},{index:4;align:left},{index:5;align:left}",
  ...
  NXEventFunctions: {
    ...
  }
});</pre>
						<p>사용자 정의 열이 생성되면, 각 파일 항목마다 대상 열의 값을 설정하거나 가져올 수 있습니다.</p>
						<pre class="prettyprint">
// 사용자 정의 열의 값을 반환합니다.
dextnxObj.GetCustomColumnText(파일순서, 사용자정의열순서);

// 사용자 정의 열에 값을 설정합니다.
dextnxObj.SetCustomColumnText(파일순서, 사용자정의열순서, 문자열값);

// 사용자 정의 열의 개수를 반환합니다.
dextnxObj.GetCustomColumnCount();</pre>
						<p>주의1) 사용자 정의 열을 만들 경우에는 반드시 '파일이름' 필수 열의 가로 길이는 0이어야 합니다.</p>
						<p>주의2) ListViewColumnDataAligns 속성을 사용하지 않는다면 리스트 영역의 데이터 정렬은 헤더 정렬을 따릅니다.</p>
					</dd>		
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:600px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>파일이 추가될 때, 대상 파일의 확장자를 첫번째 사용자 정의 열에 출력토록 합니다.</p>
						<p>
							<input type="button" value="파일 다이얼로그" onclick="showFileDialog();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>