<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<% request.setAttribute("contextPath", request.getContextPath()); %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>
		var promptForAdding = true;
		
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				ListViewTitleTreeStyle: true,
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXAlert(id, "DEXTUploadNX가 로드되었습니다.");
					}
				}
			});
		};
		
		function showFileDialog() {
			NXOperators["dextnx"].OpenFileDialog();
		}
		
		function showFolderDialog() {
			NXOperators["dextnx"].OpenFolderDialog();
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-upload">파일 업로드</a> &gt; 예제 31</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 31. 화면 리스트 tree 스타일 설정</div>
				<dl>
					<dt>설명</dt>
					<dd>
						<p>폴더 형식으로 등록을 할 때, 폴더 구조대로 tree 형식이 생성됩니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  // tree 형태의 리스트뷰를 지원합니다.
  ListViewTitleTreeStyle: true,
  ...
  NXEventFunctions: {
    ...
  }
});</pre>
						<p>주의1) ListViewTitleTreeStyle 속성을 정의하면 헤더 클릭을 통한 정렬을 지원하지 않습니다.</p>
						<p>주의2) ListViewTitleTreeStyle 속성을 정의하면 가로 정렬이 항상 left로 고정됩니다.</p>
					</dd>		
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:600px;height:300px;"></div>
						<p>&nbsp;</p>
						<p>파일이 추가될 때, 대상 파일의 확장자를 첫번째 사용자 정의 열에 출력토록 합니다.</p>
						<p>
							<input type="button" value="파일 다이얼로그" onclick="showFileDialog();"/>
							<input type="button" value="폴더 다이얼로그" onclick="showFolderDialog();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>