<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%
	request.setAttribute("contextPath", request.getContextPath()); 
	request.setAttribute("contextUri", request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + "/" + request.getContextPath());
%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_ImageViewer({
				ContainerID: "dextnx_container",
				ElementID: "dextviewer",
				NXEventFunctions: {
					OnNXImageViewerEventCreateComplete: function (id) {
						NXAlert(id, "DEXTUploadNX 이미지 뷰어가 로드되었습니다.");
					},
					OnNXImageViewerEventError: function (id, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					}
				}
			});
		};
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-viewer">이미지 뷰어</a> &gt; 예제 1</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 1. 이미지 뷰어 생성</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>DEXTUploadNX는 이미지를 표현할 수 있는 뷰어 기능을 제공합니다.</p>
						<p>CreateDEXTUploadNX_ImageViewer 함수를 사용하여 이미지 뷰어를 생성합니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_ImageViewer({
  // 이미지 뷰어가 생성될 컨테이너 역할을 담당할 HTML 요소의 아이디(id)입니다.
  ContainerID: "dextnx_container",
  // 생성될 DEXTUploadNX 이미지 뷰어의 아이디(id)입니다.
  ElementID: "dextviewer",
  // 컴포넌트에서 발생하는 여러 이벤트에 대한 콜백 함수를 등록합니다.
  NXEventFunctions: {
    // 컴포넌트가 로드되면 호출되는 이벤트입니다.
    OnNXImageViewerEventCreateComplete: function (id) {
      NXAlert(id, "DEXTUploadNX 이미지 뷰어가 로드되었습니다.");
    },
    // 오류가 발생하면 호출되는 이벤트입니다.
    OnNXImageViewerEventError: function (id, err) {      
      NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
    }
  }
});</pre>
					</dd>					
					<dt>예제</dt>
					<dd>						
						<div id="dextnx_container" style="width:500px;height:300px;"></div>
						<p>&nbsp;</p>
						<table class="property-table">
							<thead>
								<tr><th>대상</th><th>설정</th></tr>
							</thead>
							<tbody>
								<tr>
									<td>테두리</td>
									<td>
										<p>
											<input type="radio" name="rdoBorder" onclick="NXImageViewers['dextviewer'].ShowBorder = true;" checked="checked"/><label>보이기</label>&nbsp;&nbsp;
											<input type="radio" name="rdoBorder" onclick="NXImageViewers['dextviewer'].ShowBorder = false;"/><label>숨기기</label>
										</p>
										<p>
											두께
											<select onchange="NXImageViewers['dextviewer'].BorderThick = parseInt(this.value);">
												<option value="1">1</option>
												<option value="2" selected="selected">2</option>
												<option value="5">5</option>
												<option value="10">10</option>
												<option value="20">20</option>
											</select>&nbsp;&nbsp;
											색상
											<select onchange="NXImageViewers['dextviewer'].BorderColor = this.value;">
												<option value="#000000" selected="selected">#000000</option>
												<option value="#ff0000">#ff0000</option>
												<option value="#00ff00">#00ff00</option>
												<option value="#0000ff">#0000ff</option>
												<option value="#cccccc">#cccccc</option>
											</select>
										</p>
									</td>
								</tr>
								<tr>
									<td>작업영역</td>
									<td>
										<p>	
											배경색									
											<select onchange="NXImageViewers['dextviewer'].BkColor = this.value;">
												<option value="#-1" selected="selected">#-1(기본값)</option>
												<option value="#ffffff">#ffffff</option>
												<option value="#ff0000">#ff0000</option>
												<option value="#00ff00">#00ff00</option>
												<option value="#0000ff">#0000ff</option>
												<option value="#cccccc">#cccccc</option>
											</select>
										</p>
										<p>&nbsp;</p>
										<p>${contextUri}/common/images/imageviewer-no-image.png</p>
										<p>설정된 이미지가 없을 때, 대체 이미지를 설정할 수 있습니다. 위의 주소를 복사하여 설정해보세요.</p>
										<p>
											<input type="text" id="txtImageUrl"/>
											<input type="button" value="배경 이미지 설정" onclick="NXImageViewers['dextviewer'].NoImageURL = document.getElementById('txtImageUrl').value;"/>
										</p>
									</td>
								</tr>
							</tbody>
						</table>
						<p>&nbsp;</p>
						<p>이미지 파일 보기</p>
						<p>
							<input type="text" value="로컬 파일 경로를 설정하세요." id="txtLocalImagePath"/>
							<input type="button" value="이미지 파일 설정" onclick="NXImageViewers['dextviewer'].ImagePath = document.getElementById('txtLocalImagePath').value;"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>