<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%
	request.setAttribute("contextPath", request.getContextPath()); 
	request.setAttribute("contextUri", request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + "/" + request.getContextPath());
%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<title>DEXTUpload(NX+NJ) Samples</title>
	<link rel="stylesheet" href="${contextPath}/common/styles/default.css"/>
	<link rel="stylesheet" href="${contextPath}/common/js/prettify/tomorrow.css"/>
	<script src="${contextPath}/common/js/prettify/prettify.js"></script>
	<script src="${contextPath}/dextuploadnx/DEXTUploadNX.js"></script>
	<script>
		window.onload = function () {
			prettyPrint();
			
			CreateDEXTUploadNX_ImageViewer({
				ContainerID: "dextnx_viewer_container",
				ElementID: "dextviewer",
				NXEventFunctions: {
					OnNXImageViewerEventCreateComplete: function (id) {
						NXAlert(id, "DEXTUploadNX 이미지 뷰어가 로드되었습니다.");
					},
					OnNXImageViewerEventError: function (id, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					}
				}
			});
			
			CreateDEXTUploadNX_Operator({
				ContainerID: "dextnx_upload_container",
				ElementID: "dextnx",
				Operator_Type: "UPLOAD_MANAGER",
				NXEventFunctions: {
					OnNXOperatorEventError: function (id, optype, err) {
						NXAlert(id, "컴포넌트ID:" + id + "\n오류메시지:\n" + err);
					},
					OnNXOperatorEventCreateComplete: function (id, optype) {
						NXAlert(id, "DEXTUploadNX가 로드되었습니다.");
					},
					OnNXOperatorEventItemSelected: function (id, optype, itemIndex) {
						var item = NXOperators[id].Item(itemIndex);
						NXImageViewers['dextviewer'].ImagePath = item.FilePath;
					}
				}
			});
		};
		
		function showFileDialog() {
			NXOperators["dextnx"].OpenFileDialog();
		}
	</script>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a href="${contextPath}">DEXTUpload<span class="f_point">(NX+NJ)</span> Samples</a> &gt; <a href="${contextPath}/#tlb-viewer">이미지 뷰어</a> &gt; 예제 2</div>
		<div id="MainCenter">
			<article>	
				<div class="exTit">예제 2. 업로드 매니저와 연동</div>	
				<dl>
					<dt>설명</dt>
					<dd>
						<p>업로드 관리자에 등록된 파일이 이미지이면 이미지 뷰어에서 대상 이미지를 보여 줄 수 있습니다.</p>
						<pre class="prettyprint">
CreateDEXTUploadNX_Operator({
  ...
  NXEventFunctions: {
    ...
    OnNXOperatorEventItemSelected: function (id, optype, itemIndex) {
      // 파일이 선택이 되면 호출됩니다.
      var item = NXOperators[id].Item(itemIndex);
      // 선택된 파일의 경로를 이미지 뷰어 객체의 ImagePath 속성값으로 설정합니다.
      NXImageViewers['dextviewer'].ImagePath = item.FilePath;
    },
    ...
  }
});</pre>
					</dd>					
					<dt>예제</dt>
					<dd>
						<div style="width:100%;">
							<div id="dextnx_upload_container" style="width:50%;height:300px;float:left;"></div>
							<div id="dextnx_viewer_container" style="width:50%;height:300px;float:left;"></div>
							<div style="clear:both;width:0px;height:0px;"></div>
						</div>
						<p>&nbsp;</p>
						<p>
							<input type="button" value="파일 다이얼로그" onclick="showFileDialog();"/>
						</p>
					</dd>
				</dl>
			</article>
		</div>
	  <footer>
	    <div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
	  </footer>
	</div>
</body>
</html>